<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Settings extends Model {
   protected $guarded = [];
   protected $table = 'settings';
   
   
   /*
    * Return max_delivery_miles field in miles
    */
   public static function getMaxDistanceInMiles()
   {
       $setting = Settings::first();
       
       $maxDistance = ($setting->max_delivery_miles) ?? 0;
       
       return $maxDistance;
   }
}
