@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-7">
					<div class="page-title-box">
						<h4 class="page-title">Deals &amp; Offers</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Deals &amp; Offers
							</li>
						</ol>
					</div>
				</div>
				<div class="col-2">
					<div class="mt-5 text-right">
					<a href="{{route('offers.create')}}" role="button" class="btn btn-danger waves-effect waves-light">
						<i class="fa fa-user-plus"></i> Create New Offer
					</a>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-9">
					<div class="car">
						<div class="card-bod">
							
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
<!-- 											<th width="150" class="text-center">Image</th> -->
											<th>Offer Name</th>											
											<th>Discount Type</th>
											<th>Discount Amount</th>
											<th>Discount Percent</th>
											<th>Discount Code</th>
											<th>Minimum Amount</th>											
											<th>Code</th>
											<th>Enabled</th>
											<!-- <th class="text-center">Action</th> -->
										</tr>
									</thead>
									<tbody>
										<?php foreach($offers as $offer): ?>
										<tr>
											<td>{{$offer->offerName}}</td>											
											<td>{{$offer->discountType}}</td>
											<td>{{$offer->discountAmount}}</td>
											<td>{{$offer->discountPercent}}</td>
											<td>{{$offer->discountCode}}</td>
											<td>{{$offer->minimumSpend}}</td>											
											<td>{{$offer->discountCode}}</td>
											<td>{{$offer->enabled}}</td>
											<!-- <td style="width:180px;text-align:center">
												
												<a href="{{route('offers.edit',$offer->id)}}" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit Offer">
													<i class="fa fa-edit"></i>
												</a>
												<form action="{{route('offers.destroy',$offer->id)}}" style="display:inline-block;" onclick="return confirm('Are you sure to delete?');" method="post">
													@csrf
													 @method('DELETE')
													<button class="btn btn-sm btn-danger waves-effect waves-light" type="submit">
														<i class="fa fa-trash"></i>
													</button>
												</form>
											</td> -->
										</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
														
						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
				<?php /*
				<div class="col-3">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title pt-3" style="line-height: 0">
											<i class="mdi mdi-filter"></i> Filter
										</p>
									</div>
								</div>
							</div>

							<div class="row mt-4">
								
									<div class="col-12">
										<form class="" action="{{route('offers.index')}}" method="get">
										@csrf
										<div class="form-group mb-3">
											<label for="example-select">Filter By</label>
											<select class="form-control" name="ftype" required>
												<option value=""></option>
												<option <?php echo $ftype=='name'?'selected':''; ?> value="name">Title</option>
												<option <?php echo $ftype=='sub_title'?'selected':''; ?> value="sub_title">Sub Title</option>
											</select>
										</div>
	
										<div class="form-group mb-3">
											<label for="example-select">Filter value</label>
											<input type="text" name="stext" value="{{$stext}}" class="form-control" required>
										</div>
										
	
										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply
										</button>
										
										<a href="{{route('offers.index')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>Clear
										</a>
										</form>
									</div>
								
							</div>
						</div>
					</div>
				</div>
				*/?>
			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection