<?php 
$humanOrderStatuses = [
    'Pending'=> "Pending to Acknowledge",
    'Acknowledged'=> "Acknowledged",
    "Processing"=>"Processing the Order",
    // 	        "Ready to Pickup"=>"Ready to Pickup",
    "Out for Delivery"=>"Out for Delivery",
    //     		"Rejected"=>"Order Rejected",
    "Delivered"=>"Order Delivered",
    'Rejected'=>"Reject"
];
$orderStatuses = Order::getOrderStatuses();
?>
<form action="{{route('updateOrderStatus')}}" method="post">
	@csrf
	<input type="hidden" value="<?php echo $product->id; ?>" name="id">
	
	<div class="form-group">
		<label class="conrol-label">Select Status</label>
		<select class="form-control statusSelectBox" name="status">
			<?php foreach($humanOrderStatuses as $status=>$text): ?>
				<option <?php echo $status==$product->status?'selected':''; ?> value="<?php echo $status; ?>"><?php echo $status; ?></option>
			<?php endforeach; ?>
		</select>
	</div>
	<div id="deliveredDiv" class="row" style="display:none;">
		<div class="col-sm-5">
			<div class="form-group">
				<label class="control-label">Delivered On</label>
				<input required type="text"  name="status_date" class="form-control datetimePicker" disabled>
			</div>
		</div>
		<div class="col-sm-7">
			<div class="form-group">
				<label class="control-label">Received By</label>
				<input type="text"  name="received_by" class="form-control" disabled>
			</div>
		</div>
		
	</div>
	<div id="shippedDiv" class="row" style="display:none;">
		<div class="col-sm-5">
			<div class="form-group">
				<label class="control-label">Shipped On</label>
				<input required type="text"  name="status_date" class="form-control datetimePicker" disabled>
			</div>
		</div>
		<div class="col-sm-7">
			<div class="form-group">
				<label class="control-label">AWB Number</label>
				<input type="text"  name="awb_number" class="form-control" required disabled>
				
			</div>
		</div>
		<div class="col-sm-12">
			<div class="form-group">
				<label class="control-label">Shipping Agency</label>
				<input type="text"  name="shipping_agency" class="form-control" required disabled>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="control-label">Remarks</label>
		<textarea name="remarks" class="form-control"></textarea>
	</div>
	<div class="form-group text-right mt-3">
		<button type="submit" class="btn btn-success btn-sm">
			<i class="mdi mdi-content-save"></i>
			Update Status
		</button>
	</div>
</form>
