@extends('layouts.app')

@section('content')
	<div class="content-page">
		<div class="content">
	
			<!-- Start Content-->
			<div class="container-fluid">
	
				<!-- start page title -->
				<div class="row">
					<div class="col-12">
						<div class="page-title-box">
	
							<h4 class="page-title">Support Centre Information</h4>
							<ol class="breadcrumb m-0">
								<li class="breadcrumb-item">
									<a href="{{ route('dashboard') }}">Dashboard</a>
								</li>
								<li class="breadcrumb-item active">
									Support Centre Information
								</li>
							</ol>
						</div>
					</div>
				</div>
				
				<div class='row'>
					<div class="col-12 col-sm-8 offset-sm-2">
						<div class="card border">
							<div class="card-header">
								<div class="card-title m-0">
									<i class="fa fa-info-circle float-right"></i>
									<b>Update Support Information</b>
								</div>
							</div>
							<div class="card-body">
								<form action="{{route('updateSupportCentre')}}" method="post">
									@csrf
									<div class="form-group">
										<label class="conrol-label"> Contact Numbers</label>
										<input type="text" class="form-control" name="mobile" value='{{$support->mobile}}' data-role="tagsinput">
									</div>
									<div class="form-group">
										<label class="conrol-label">WhatsApp Numbers</label>
										<input type="text" class="form-control" name="whatsapp" value='{{$support->whatsapp}}' data-role="tagsinput">
									</div>
									<div class="form-group">
										<label class="conrol-label">Emails</label>
										<input type="text" class="form-control" name="email" value='{{$support->email}}' data-role="tagsinput">
									</div>
									<div class="form-group mt-4 text-right">
										<button class="btn btn-success btn-sm" type="submit">
											<i class="fa fa-check"></i>
											Update
										</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

@endsection