<?php $__env->startSection('content'); ?>
<style type="text/css">
	.catContainer [data-bv-result="INVALID"].help-block {
    padding-left: 0px;
    font-weight: normal;
}
</style>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h3>Add Product</h3>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('products.index')); ?>">Products</a>
							</li>
							<li class="breadcrumb-item active">
								Add New Product
							</li>
						</ol>
					</div>
				</div>
				<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
					
				</div>
			</div>
			<!-- end page title -->
		
			<div class="">
				<div id="valMessages"></div>
				<div class="row">
					<div class="col-12">
						<form class="form-horizontal" method="post" action="<?php echo e(route('products.store')); ?>" enctype="multipart/form-data" id="addProductForm" >
							<?php echo csrf_field(); ?>
							
							<ul class="nav nav-tabs">
								<li class="nav-item">
									<a href="#product_general" data-toggle="tab" aria-expanded="false" class="nav-link active"> General </a>
								</li>
								<li class="nav-item">
									<a href="#skus" data-toggle="tab" aria-expanded="false" class="nav-link"> SKU &amp; Specifications </a>
								</li>
							</ul>
						
							<div class="tab-content">
								
								<div class="tab-pane show active" id="product_general">
									
									<div class="row">
										<div class="col-md-12">
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Brand</label>
												<div class="col-4 col-sm-6 col-md-6 col-lg-6 select2BrandDiv">
													<?php if($errors->has('brand')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('brand')); ?></span>
	                                                <?php endif; ?>
	                                                <select data-bv-notempty required class="form-control brandSelect" id="brand_id_select2" data-toggle="select2" name="brand_id" data-name="[brand_id]">
    													<option value="">-- Choose --</option>
    													<?php foreach($brands as $brand): ?>
    														<option value="<?php echo e($brand->id); ?>" data-id="<?php echo e($brand->name); ?>"><?php echo e($brand->name); ?></option>
    													<?php endforeach; ?>
    												</select>
												</div>
												<div class="col-4 col-sm-6 col-md-6 col-lg-6 textFieldBrandDiv" style="display:none;">
													<?php if($errors->has('brand')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('brand')); ?></span>
	                                                <?php endif; ?>
	                                                <input type="text" class="form-control textFieldBrandName" value="" disabled>
	                                                <input type="hidden" class="form-control textFieldBrandId" name="brand_id" value="" disabled>
												</div>
												<div class="col-2 col-sm-1 col-md-1 col-lg-1 saveBrandMsg">
    											</div>
												<div class="col-2 col-sm-2 col-md-2 col-lg-2 saveBrandDiv">
    												<button type="button" id="saveBrand" class="btn btn-sm btn-success "> Save Brand</button>
    											</div>
    											
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Name</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  placeholder="Product Name" name="name" value="<?php echo e(old('name')); ?>" required>
													<?php if($errors->has('name')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Barcode</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control <?php $__errorArgs = ['barcode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  placeholder="Barcode" name="barcode" value="<?php echo e(old('barcode')); ?>" required>
													<?php if($errors->has('barcode')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('barcode')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product ID</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control"  placeholder="Product ID" name="product_code" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Country</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<select data-bv-notempty required class="form-control" data-toggle="select2" name="country_id" data-name="[country_id]">
    													<option value="">-- Choose --</option>
    													<?php foreach($countries as $country): ?>
    														<option value="<?php echo e($country->id); ?>"><?php echo e($country->name); ?></option>
    													<?php endforeach; ?>
    												</select>
												</div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Weight</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control"  placeholder="Weight" name="weight" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Weight Unit</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<select class="form-control" name="weight_unit" data-name="[weight_unit]">
													  	<option value="">- Unit -</option>
													  	<option value="l">Litre</option>
													  	<option value="ml">Ml</option>
													  	<option value="kg">Kg</option>
													  	<option value="g">Grams</option>
													  	<option value="box">Box</option>
													  	<option value="bowl">Bowl</option>
													  	<option value="piece">Piece</option>
													  </select>
												</div>
											</div>
											
											
											<div class="form-group row mb-3 catContainer">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Categories</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													
													<select  class="multi-select" name="category_id[]" data-toggle="select2">
														<option value="">--Choose -- </option>
	                                                    <?php foreach($catArray as $catAr): ?>
	                                                    	<optgroup label="<?php echo $catAr['name']; ?>">
	                                                    		<?php foreach($catAr['categories'] as $ctArCat): ?>
	                                                    			<option value="<?php echo $ctArCat['id']; ?>"><?php echo $ctArCat['name']; ?></option>
	                                                    		<?php endforeach; ?>
	                                                    	</optgroup>
	                                                    <?php endforeach; ?>
	                                                </select>
	                                            </div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Product Tags</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="text" class="form-control <?php $__errorArgs = ['tags'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  placeholder="Product Tags comma separated" name="tags" data-role="tagsinput">
													<?php if($errors->has('tags')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('tags')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>HSN</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" data-bv-notempty class="form-control"  placeholder="HSN" name="hsn" required>
													
												</div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Short Description</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<textarea class="form-control <?php $__errorArgs = ['short_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="product-description" rows="5" placeholder="Please enter description" name="short_description"><?php echo e(old('name')); ?></textarea>
													<?php if($errors->has('short_description')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('short_description')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Related Download</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="file" class="form-control <?php $__errorArgs = ['related_files'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="related_files">
													<?php if($errors->has('related_files')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('related_files')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">
													Is Popular
													<i class="fa fa-info-circle" data-toggle="tooltip" title="Is this a popular product?"></i>
												</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control" name="popular" required>
														<option value="No">No</option>
														<option value="Yes">Yes</option>
													</select>
													
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Min. Stock Quantity</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="number" min="0" step="1" class="form-control" value="5" placeholder="Min Stock Quantity" name="min_stock_quantity" required>
												</div>
											</div>
											<input type="hidden" class="form-control" value="No" placeholder="Min Stock Quantity" name="taxable" required>
<!-- 											<div class="form-group row mb-3"> -->
<!-- 												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span> Product Taxable</label> -->
<!-- 												<div class="col-8 col-sm-10 col-md-10 col-lg-10"> 
													<select class="form-control" style="width: 100%" id="tax_product" required name="taxable">-->
<!-- 														<option value="">-Select-</option> -->
<!-- 														<option value="Yes">Yes</option> -->
<!-- 														<option value="No">No</option> -->
<!-- 													</select> -->
													
<!-- 												</div> -->
<!-- 											</div> -->
											<div id="taxable-pdt-data" style="display: none;">
												<div class="form-group row mb-3 ">
													<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Choose Tax</label>
													<div class="col-8 col-sm-10 col-md-10 col-lg-10">
														<select class="form-control" style="width: 100%" name="tax_id">
															<!-- <option value="">-Select-</option> -->
															<?php foreach($taxes as $tax): ?>
																<option value="<?php echo $tax -> id; ?>"><?php echo $tax -> name; ?> (<?php echo $tax -> rate; ?> %)</option>
															<?php endforeach; ?>
														</select>
													</div>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Sort Order</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="number" step="1" class="form-control <?php $__errorArgs = ['sort_order'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  placeholder="0" name="sort_order" required>
													<?php if($errors->has('sort_order')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('sort_order')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											<?php if(Auth::user()->role!='Uploader'): ?>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control <?php $__errorArgs = ['enabled'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="enabled" required>
														<option value="Yes">Yes</option>
														<option value="No">No</option>
													</select>
													<?php if($errors->has('enabled')): ?>
	                                                      <span class="text-danger"><?php echo e($errors->first('enabled')); ?></span>
	                                                <?php endif; ?>
												</div>
											</div>
											<?php endif; ?>
										</div>
									</div>
								</div>
								<div class="tab-pane" id="skus">
									<div class="skuDiv">
										<div class="card border border-warning bg-light p-2 divSku">
											<div class="card-body p-1 pl-0 pr-0 mb-3 shadow bg-white">
												<div class="row">
													<div class="col-sm-3">
														<div class="form-group">
															<label for="" class="control-label">
																<b>
																	<span class="text-danger">*</span> SKU
																	<i class="fa fa-info-circle ml-2" data-toggle="tooltip" title="SKU may change while saving to keep unique"></i>
																</b>
															</label>
															<div class="input-group">
															  <input type="text" class="form-control skuField varField" data-bv-notEmpty data-bv-remote data-bv-remote-url="<?php echo e(route('validateProductSku')); ?>" data-bv-remote-message="SKU already exist." data-bv-remote-name="sku" required name="sku[0][sku_number]" data-name="[sku_number]" placeholder="SKU">
															  <div class="input-group-append">
															    <button class="btn btn-secondary skuBtn" type="button"><i class="mdi mdi-refresh"></i></button>
															  </div>
															</div>
														</div>
													</div>
													<div class="col-sm-3">
														<div class="form-group">
															<label for="" class="control-label">
																<b>
																	<span class="text-danger">*</span> Variation Name
																</b>
															</label>
															<input type="text" class="form-control varField" data-bv-notEmpty required placeholder="Variation Name" name="sku[0][variation_name]" data-name="[variation_name]">
														</div>
													</div>
													<div class="col-sm-5">
														<div class="form-group">
															<label for="" class="control-label">
																<b>
																	<span class="text-danger">*</span> Variation Value
																</b>
															</label>
															<input type="text" class="form-control varField" data-bv-notEmpty required placeholder="Variation Value" name="sku[0][variation_value]" data-name="[variation_value]">
														</div>
													</div>
													<div class="col-sm-1 text-right">
														<button class="btn btn-xs btn-danger removeSkuBtn" type="button">
															<i class="fa fa-minus-square"></i> Remove SKU
														</button>
													</div>
												</div>
											</div>
											<div class='row'>
												<div class="col-sm-6">
													<h4>Specifications</h4>
													<div class="specRowBody">
														<div class="card-body p-1 pl-0 pr-0 mb-3 shadow bg-white">
															<span class="float-right">
																<button class="btn btn-xs btn-danger removeSpecBtn" type="button">
																	<i class="fa fa-minus"></i>
																</button>
															</span>
															<div class="row">
																<div class="col-sm-6">
																	<div class="form-group">
																		
																		<label class="control-label">
																			Specification Group
																		</label>
																		<select class="form-control specHeadSelect specField"  name="sku[0][specification][0][heading][]" data-name="[heading][]" style="width:100%;">
																			<option value=""></option>
																			<?php foreach($specifications as $spec): ?>
																				<option value="<?php echo $spec->id; ?>"><?php echo $spec->name; ?></option>
																			<?php endforeach; ?>
																		</select>
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group">
																		
																		<label class="control-label specNameLabel">
																			Specification Name
																		</label>
																		<select class="form-control specName specField"  name="sku[0][specification][0][name][]" data-name="[name][]" style="width:100%;">
																			<option value=""></option>
																		</select>
																	</div>
																</div>
																<div class="col-sm-8">
																	
																	<div class="form-group">
																		<label class="control-label">
																			Specification Value
																		</label>
																		<input type="text" class="form-control specField"name="sku[0][specification][0][value][]" data-name="[value][]" placeholder="Type here..." >
																	</div>
																</div>
																<div class="col-sm-4">
																	<div class="form-group">
																		<label class="control-label">
																			Use for Filters ?
																		</label>
																		<select class="form-control specField"  name="sku[0][specification][0][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																			<option value="">Yes / No</option>
																			<option value="Yes">Yes</option>
																			<option value="No">No</option>
																		</select>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="text-right">
														<button type="button" class="addSpecRowBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="top" title="Add Specification">
															<i class="fa fa-plus"></i>
														</button>
													</div>
													
												</div>
												
												<div class="col-sm-6">
													<h4>Images</h4>
													<div class="row">
														<div class="col-12">
															<table class="table table-bordered mb-0 file-list bg-white" >
																<thead>
																	<tr>
																		<th colspan="2">
																			Select Images
																		</th>
																	</tr>
																</thead>
																
																<tbody class="imgTbody">
																	<tr>
																		<td>
																			<div class="form-group mb-0">
																				<input type="file" data-bv-notEmpty data-bv-message="Image is required." class="form-control imgField" accept="image/*" name="sku[0][photos][]">
																			</div>
																		</td>
																		<td style="width:50px;">
																			<button type="button"  class="btn btn-sm btn-danger waves-effect waves-light remRowBtn">
																				<i class="mdi mdi-minus-circle"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
																<tbody>
																	<tr>
																		<td colspan="2" class="text-right">
																			<button type="button" class="btn btn-sm btn-info waves-effect waves-light addNewImageBtn">
																				<i class="fa fa-plus"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
															</table>
															
														</div>
													</div>
												</div>
												
											</div>
											
										</div>
									</div>
									<button type="button" class="addSkuBtn btn btn-md mb-2 btn-warning" data-toggle="tooltip" data-placement="top" title="Add New SKU">
										<i class="fa fa-plus"></i>
									</button>
								</div>
								
							</div>
							<div class="text-right">
								<button type="submit" class="btn btn-lg btn-success waves-effect waves-light mb-2">
									<i class="mdi mdi-content-save"> </i> Save Now
								</button>
							</div>
						</form>
							
						
					</div>
				</div>
			</div>
				

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

<script type="text/javascript">
	var loading = `<span class="text-danger loading"><i class="fa fa-spin fa-spinner"></i></span>`;
	var today = "<?php echo date('Y-m-d'); ?>";
	$(function() {
		
		//getting new SKU
		$(document).on('click','.skuBtn',function(){
			btn = $(this);
			btnHtml = btn.html();
			$.ajax({
				type:'POST',
				data:{_token:$('[name="csrf-token"]').attr('content')},
				url:"<?php echo e(route('getNewSku')); ?>",
				beforeSend:function(){
					btn.html('<i class="fa fa-spin fa-spinner"></i>');	
				},
				success:function(resp){
					btn.html('<i class="mdi mdi-refresh"></i>');
					btn.parents('.input-group').find('.skuField').val(resp);
				}
			});
		});
		//getting sku for new product
		$('.skuBtn').trigger('click');
		
		
		$('#tax_product').on('change', function() {
			if ($(this).val() == "Yes") {
				$('#taxable-pdt-data').show();
			} else {
				$('#taxable-pdt-data').hide();
			}
		});
		
		$('#brand_id_select2').on('change', function() 
		{
			var brandName = $(this).find('option:selected').data('id');
			//alert(brandName);
			$('#brand_name_field').val(brandName);
		});
		var typedBrand = "";
    	$('#brand_id_select2').select2({
    	  language: {
    		noResults: function(term) {
    			typedBrand = event.target.value;
			}
    	  }
    	});
    	
    	$('#saveBrand').on('click', function() 
		{
			if(typedBrand != '')
			{
    			$.ajax({
					type:'POST',
					data:{ brand:typedBrand,_token:$('[name="csrf-token"]').attr('content') },
					url: "<?php echo e(route('saveAjaxBrand')); ?>",
					beforeSend:function()
					{
						$('.saveBrandMsg').append(loading);
						$('.saveBrandDiv').hide();
					},
					success:function(resp)
					{
						$('.saveBrandMsg').find('.loading').remove();
						if(resp.status == 1)
						{
							var html = "<span class='badge badge-success'>"+resp.message+"</span>";
							$('.textFieldBrandDiv').show();
							$('.textFieldBrandId').prop('disabled',false);
							$('.textFieldBrandId').val(resp.brand_id);
							$('.textFieldBrandName').val(typedBrand);
							$('.select2BrandDiv').hide().find('.form-control').prop('disabled',true);
							
							$('.saveBrandMsg').append(html);
						}
						else{
							var html = "<span class='badge badge-danger'>"+resp.message+"</span>";
							$('.saveBrandMsg').append(html);
						}
					}
				});
			}
		});
		
	
	
		
		var newImg = $('.imgTbody').html();
		$(document).on('click','.addNewImageBtn',function(){
			destroyValidation();
			$(this).parents('.table').find('.imgTbody').append(newImg);
			$('[data-toggle="tooltip"]').tooltip();
			buildValidation();
			updateImgFields();
		});
		
		
		function updateImgFields(){
			var i=0;
			$('.divSku').each(function(){
				$(this).find('.imgField').each(function(){
					$(this).prop('name','sku['+i+'][photos][]');
				});
				i++;
			});
		}
		
		function updateVariationFields(){
			var i=0;
			$('.divSku').each(function(){
				$(this).find('.varField').each(function(){
					$(this).prop('name','sku['+i+']'+$(this).data('name'));
				});
				i++;
			});
		}
		$(document).on('click','.remRowBtn',function(){
			destroyValidation();
			var a = $(this).parents('.table').find('.imgTbody');
			$(this).parents('tr').remove();
			
			if(a.find('tr').length==0){
				
				a.append(newImg);
			}
			updateImgFields();
			buildValidation();
		});
		
		//for whole sku div
		var newSkuForm = $('.skuDiv').html();
		$(document).on('click','.addSkuBtn',function(){
			destroyValidation();
			$('.skuDiv').append(newSkuForm);
			$('.skuDiv').find('.divSku:last-child').find('.skuBtn').trigger('click');
			$('[data-toggle="tooltip"]').tooltip();
			updateSpecFields();
			updateImgFields();
			updateVariationFields();
			buildValidation();
		});
		
		 
		$(document).on('click','.removeSkuBtn',function(){
			destroyValidation();
			$(this).parents('.divSku').remove();
			if($('.divSku').length==0){
				$('.skuDiv').append(newSkuForm);
			}
			updateSpecFields();
			$('[data-toggle="tooltip"]').tooltip();
			updateVariationFields();
			buildValidation();
		});
		
		
		//for batches
		var newBatch = $('.batchesDiv').html();
		$(document).on('click','.addBatchBtn',function(){
			destroyValidation();
			$(this).parents('.divSku').find('.batchesDiv').append(newBatch);
			$('[data-toggle="tooltip"]').tooltip();
			 buildValidation();
		});
		
		$(document).on('click','.remBatchBtn',function(){
			destroyValidation();
			
			if($(this).parents('.divSku').find('.batchesDiv > .card-body').length==1){
				$(this).parents('.divSku').find('.batchesDiv').html(newBatch);
			}
			$(this).parents('.card-body').remove();
			$('[data-toggle="tooltip"]').tooltip();
			 buildValidation();
		});
		
		
		var specRowBody = $('.specRowBody').html();
		
		
		$(document).on('click','.addSpecRowBtn',function(){
			destroyValidation();
			$(this).parents('.divSku').find('.specRowBody').append(specRowBody);
			updateSpecFields();
			 buildValidation();
			 
		});
		
		$(document).on('click','.removeSpecBtn',function(){
			destroyValidation();
			
			if($(this).parents('.divSku').find('.specRowBody > .card-body').length==1){
				$(this).parents('.divSku').find('.specRowBody').append(specRowBody);
			}
			$(this).parents('.card-body').remove();
			updateSpecFields();
			 buildValidation();
		});
		
		$(document).on('change','.specHeadSelect',function(){
			var specid = $(this);
			
			if(specid.val()){
				$.ajax({
					type:'POST',
					data:{parent_id:specid.val(),_token:$('[name="csrf-token"]').attr('content')},
					url: "<?php echo e(route('getSpecs')); ?>",
					beforeSend:function(){
						specid.parents('.card-body').find('.specNameLabel').append(loading);
						specid.parents('.card-body').find('.specName').html(`<option value=""></option>`);
						
					},
					success:function(resp){
						$('.specNameLabel').find('.loading').remove();
						specid.parents('.card-body').find('.specName').html(resp);
						console.log(resp);
					}
				});
			} else {
				specid.parents('.card-body').find('.specName').html(`<option value=""></option>`);
			}
		});
		
		/*
		$(document).on('change','.stitle',function(){
			var title = $(this).val();
			
			$(this).parents('.specHeadRow').find('optgroup:not([label="'+title+'"])').hide();
			$(this).parents('.specHeadRow').find('optgroup[label="'+title+'"]').show();
			$(this).parents('.specHeadRow').find('.sname').val('');
		});
		*/
		
		
		function updateSpecFields(){
			
			var i=0;
			$('.divSku').each(function(){
				var j=0;
				$(this).find('.specRowBody > .card-body').each(function(){
					
					$(this).find('.specField').each(function(){
						$(this).prop('name','sku['+i+'][specification]['+j+']'+$(this).data('name'));
					});
					j++;
				});
				i++;
			});
			//buildValidation();
		}
		
		
		//base price calculations
		$(document).on('change','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brcal.brate');
			
			if($(this).hasClass('brate')){
				if(baseRate.val() && mratio.val()){
					mrp2 = ((parseFloat(baseRate.val())*parseFloat(mratio.val()))/100);
					if(Math.round(mrp2)!=mrp2){
						mrp2 = mrp2.toFixed(2);
					}
					
					mrp.val(parseFloat(baseRate.val())+parseFloat(mrp2));
				} else {
					mrp.val(0);
				}
				
			} else {
			
				if(mrp.val() && mratio.val()){
					brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
					if(Math.round(brate)!=brate){
						brate = brate.toFixed(2);
					}
					
					baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
				} else {
					baseRate.val(0);
				}
			}
		});
		/*
		$(document).on('keyup','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brate');
			
			if(mrp.val() && mratio.val()){
				brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
				if(Math.round(brate)!=brate){
					brate = brate.toFixed(2);
				}
				baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
			} else {
				baseRate.val(0);
			}
		}); */
		//base price calculations ends
		
		$(document).on('change','.otype',function(){
			if($(this).val()!='None'){
				$('.ovalue').prop('required',true);
				$('.osdate').prop('required',true);
			} else {
				$('.ovalue').prop('required',false);
				$('.osdate').prop('required',false);
			}
		});
		
	});
	
	
	$(function() {
	    buildValidation();
	});
	function destroyValidation(){
		var bootstrapValidat = $('#addProductForm').data('bootstrapValidator');
		
		if (bootstrapValidat != undefined)
		   { bootstrapValidat.destroy();}
	}
	function buildValidation(){
		
		    
		$('#addProductForm')
	        .bootstrapValidator({
	            // Only disabled elements are excluded
	            // The invisible elements belonging to inactive tabs must be validated
	            excluded: [':disabled'],
	            //container: '#valMessages',
	            feedbackIcons: {
	                valid: 'fa fa-check',
	                invalid: 'fa fa-times',
	                validating: 'fa fa-refresh'
	            },
	            fields: {
	            	invoice_no: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Invoice Number is required'
	                        }
	                    }
	                },
	                invoice_date: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Invoice Date is required'
	                        }
	                    }
	                },
	                name: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product name is required'
	                        }
	                    }
	                },
	                'category_id[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Category is required'
	                        }
	                    }
	                },
	                merchant_id: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Merchant is required'
	                        }
	                    }
	                },
	                sku: {
	                    validators: {
	                        notEmpty: {
	                            message: 'SKU is required'
	                        },
	                        remote: {
		                        message: 'The SKU already exists',
		                        url: "<?php echo e(route('validateProductSku')); ?>"
		                    }
	                    }
	                },
	                sort_order: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Sort Order is required'
	                        }
	                    }
	                },
	                regular_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Actual Price is required'
	                        }
	                    }
	                },
	                min_stock_quantity: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Minimum Stock Quantity is required'
	                        }
	                    }
	                },
	                /*
	                sale_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Offer Price is required'
	                        }
	                    }
	                },
	                
	                image: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Featured Image is required'
	                        },
	                        file: {
		                        extension: 'jpeg,png,jpg,gif',
		                        //type: 'image/jpeg,image/png',
		                        //maxSize: 2048 * 1024,
		                        message: 'Only JPEG, PNG, GIF or JPG are allowed for Featured Image'
		                    }
	                    }
	                },*/
	                'photos[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Image File is required'
	                        },
	                        file: {
		                        extension: 'jpeg,png,jpg,gif',
		                        
		                        message: 'Only JPEG, PNG, GIF or JPG Files are allowed.'
		                    }
	                    }
	                },
	                taxable: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Taxable Field is required'
	                        }
	                    }
	                },
	                related_files: {
	                	validators: {
	                		file: {
		                        extension: 'pdf,PDF',
		                        message: 'Only PDF file is allowed'
		                    }
	                	}
	                },
	                'batch[batch_number]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Batch Number is required'
	                        },
	                        remote: {
		                        message: 'This Batch Number already exists',
		                        url: "<?php echo e(route('validateProductBatchNumber')); ?>"
		                    }
	                        
	                    }
	                },
	                'batch[mfd_date]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Manufacture Date is required'
	                        },
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Manufacture date must be less than Expiry Date and Current Date',
	                            callback: function (value, validator, $field) {
	                            	var ret = true;
	                                if($field.parents('.card-body').find('[name="batch[expiry_date]"]').val() && $field.parents('.card-body').find('[name="batch[expiry_date]"]').val()<=value){
	                                	ret = false;
	                                } else {
	                                	ret = true;
	                                }      
	                               
	                                ret = value<today;
	                                
	                                return ret;
	                            }
	                        }
	                    }
	                },
	                'batch[expiry_date]': {
	                    validators: {
	                        /* notEmpty: {
	                            message: 'Expiry Date is required'
	                        },*/
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Expiry date must be greater than Manufacture Date and Current Date',
	                            callback: function (value, validator, $field) {
	                            	var ret = true;
	                                if($field.parents('.card-body').find('[name="batch[mfd_date]"]').val() && $field.parents('.card-body').find('[name="batch[mfd_date]"]').val()>=value){
	                                	ret = false;
	                                } else {
	                                	ret = true;
	                                }   
	                                ret = value>today;
	                                
	                                return ret;             
	                            }
	                        }
	                    }
	                },
	                'batch[quantity]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product Quantity in this batch is required'
	                        }
	                    }
	                },
	                'batch[margin_ratio]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Margin Ratio is required'
	                        }
	                    }
	                },
	                'batch[product_mrp]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Single Product MRP is required'
	                        }
	                    }
	                },
	                'batch[base_rate]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Base Rate is required'
	                        }
	                    }
	                },
	                
	                
	            }
	        })
	        // Called when a field is invalid
	        .on('error.field.bv', function(e, data) {
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id');
	
	            $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                .parent()
	                .find('i')
	                .removeClass('fa-check')
	                .addClass('fa-times');
	        })
	        // Called when a field is valid
	        .on('success.field.bv', function(e, data) {
	            // data.bv      --> The BootstrapValidator instance
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id'),
	                $icon    = $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                            .parent()
	                            .find('i')
	                            .removeClass('fa-check fa-times');
	
	            // Check if the submit button is clicked
	            if (data.bv.getSubmitButton()) {
	                // Check if all fields in tab are valid
	                var isValidTab = data.bv.isValidContainer($tabPane);
	                $icon.addClass(isValidTab ? 'fa-check' : 'fa-times');
	            }
	        });
	        
	        $(document).find(".datepicker").flatpickr({
				dateFormat : "Y-m-d"
			});
			
	}
	
	
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/products/create.blade.php ENDPATH**/ ?>