<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Stock Batches</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
							  Stock Batches
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12">

					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title pt-3" style="line-height: 0">
											<i class="mdi mdi-account-outline"></i> Seller List
										</p>
									</div>
								</div>
								<div class="col-4 text-right pt-1 pb-3">
									<a href="<?php echo e(route('stock.create')); ?>" role="button" class="btn btn-info btn-sm">
										<i class="fa fa-user-plus mr-1"></i> Add Product Stock
									</a>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="150" class="text-center">Image</th>
											<th>Name</th>											
											<th>Enabled <i class="fa fa-info-circle ml-1" data-toggle="tooltip" title="No means that store does not show in the app."></i></th>
											<th>Store Exist <i class="fa fa-info-circle ml-1" data-toggle="tooltip" title="No means that store show as Coming Soon in app."></i></th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($users)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										<?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
										<tr>
											<td class="text-center">
												<?php if(empty($user->photo)): ?>
													<span class="fa-stack fa-2x" style="vertical-align: top;">
													  <i class="far fa-circle fa-stack-2x"></i>
													  <i class="fas fa-user fa-stack-1x"></i>
													</span>
												<?php else: ?>
													<img src="<?php echo e($user->photo); ?>" alt="table-user" class="rounded-circle" width="50" >
												<?php endif; ?>
											</td>
											<td><?php echo e($user->name); ?></td>											
											<td>
												<?php echo e($user->enabled); ?>

												<?php if($user->enabled=='Yes'): ?>
													<?php $pplr = 'No'; ?>
												<?php else: ?> 
													<?php $pplr = 'Yes'; ?>
												<?php endif; ?>
												<form style="display:block;" action="<?php echo e(route('markEnabled',[$user->id,$pplr])); ?>" method="get">
													<?php echo csrf_field(); ?>
													<?php echo method_field('GET'); ?>
													<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to <?php echo e($pplr); ?>">
														<i class="fa fa-recycle"></i>
													</button>
												</form>
											</td>
											<td>
												<?php echo e($user->store_exist); ?>

												<?php if($user->store_exist=='Yes'): ?>
													<?php $pplr = 'No'; ?>
												<?php else: ?> 
													<?php $pplr = 'Yes'; ?>
												<?php endif; ?>
												<form style="display:block;" action="<?php echo e(route('markStoreExist',[$user->id,$pplr])); ?>" method="get">
													<?php echo csrf_field(); ?>
													<?php echo method_field('GET'); ?>
													<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to <?php echo e($pplr); ?>">
														<i class="fa fa-recycle"></i>
													</button>
												</form>
											</td>
											<td style="width:120px;">
												<a href="<?php echo e(route('sellerItems',$user->id)); ?>" class="btn btn-sm btn-info waves-effect waves-light" data-toggle="tootip" title="View Products">
													<i class="fab fa-product-hunt"></i>
												</a>											
											</td>
										</tr>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
										
									</tbody>
								</table>
							</div>
							<?php echo e($users->links()); ?>


						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

				
			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/stock/index.blade.php ENDPATH**/ ?>