<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Brands</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Brands List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-6">
									<div class="page-title-box">
										<form class="form-inline" action="<?php echo e(route('brandsList')); ?>">
                        					<?php echo csrf_field(); ?>
                        					<?php echo method_field('get'); ?>
                        					<div class="input-group mr-2">
                        					  <input type="text" name="stext" value="<?php echo e($stext); ?>" placeholder="Brand Name" class="form-control" required>
                        					  <div class="input-group-append">
                        					    <button class="btn btn-secondary" type="submit" id="button-addon2"><i class="fa fa-search"></i></button>
                        					    <a href="<?php echo e(route('brandsList')); ?>" class="btn btn-secondary waves-effect waves-light float-right">
        											<i class="mdi mdi-refresh"></i>
        										</a>
                        					  </div>
                        					</div>
                        				</form>
									</div>
								</div>
								
								<div class="col-6 text-right pt-1 pb-3">
									<a href="<?php echo e(route('addBrand')); ?>" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-plus"></i> Create New Brand
									</a>
									<a href="<?php echo e(route('importBrands')); ?>" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-plus"></i> Import
									</a>
									<a href="<?php echo e(route('exportSampleBrands')); ?>" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-download"></i> Download Sample
									</a>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Image</th>
											<th>Name</th>
											<th>Enabled</th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($brands)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										<?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
										<tr>
											<td><img src="<?php echo e(empty($brand->logo)?asset('images/uncategorized.png'):$brand->logo); ?>" style="height:40px;"></td>
											<td><?php echo e($brand->name); ?></td>
											<td><?php echo e($brand->enabled); ?></td>
											<td style="width:120px;">
												<a href="<?php echo e(route('editBrand',$brand->id)); ?>" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit">
													<i class="fa fa-edit"></i>
												</a>
												<form style="display:inline-block;" class="deleteUserForm" action="<?php echo e(route('deleteBrand')); ?>" method="post">
													<?php echo csrf_field(); ?>
													<?php echo method_field('DELETE'); ?>
													<input type="hidden" name="id" value="<?php echo e($brand->id); ?>">
													<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Brand">
														<i class="fa fa-trash"></i>
													</button>
												</form>
											</td>
										</tr>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
										
									</tbody>
								</table>
							</div>
							<?php echo e($brands->links()); ?>


						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/brands/brandsList.blade.php ENDPATH**/ ?>