<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<!--<h4>Edit Admin User</h4>-->
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('sellersList')); ?>">Sellers</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('sellerProfile',$user->id)); ?>">Seller Profile</a>
							</li>
							
							<li class="breadcrumb-item active">
								Edit Seller
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="<?php echo e(route('saveEditSeller',$user->id)); ?>" method="post" enctype="multipart/form-data" id="adminUserForm">
						<?php echo csrf_field(); ?>
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i>Edit Seller</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="<?php echo e(route('sellersList')); ?>">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="fa fa-user-friends"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-6 offset-2">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Display Name</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($user->name); ?>" name="name" id="" placeholder="Display Name">
												<?php if($errors->has('name')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Country Code</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<?php $countryCode = ltrim($user->country_code, '+');?>
												<input type="text" class="form-control <?php $__errorArgs = ['country_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($countryCode); ?>" name="country_code" id="" placeholder="Country Code">
												<?php if($errors->has('country_code')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('country_code')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Phone</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control <?php $__errorArgs = ['phone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($user->phone); ?>" name="phone" id="" placeholder="Phone Number">
												<?php if($errors->has('phone')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('phone')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<hr>
										
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Email</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($user->email); ?>" name="email" id="" placeholder="Login Email">
												<?php if($errors->has('email')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Password</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="password" class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="password" id="" placeholder="Login Password">
												<?php if($errors->has('password')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<hr>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Profile Photo</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="file" name="photo" accept="image/*" id="autocomplete" class="form-control <?php $__errorArgs = ['photo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" autocomplete="off">
												<?php if($errors->has('photo')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('photo')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option <?php echo $user->enabled=='Yes'?'selected':''; ?> value="Yes">Yes</option>
													<option <?php echo $user->enabled=='No'?'selected':''; ?> value="No">No</option>
												</select>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Cultures</label>
    										<div class="col-8 col-sm-10 col-md-10 col-lg-100">
    											<select class="form-control js-example-basic-multiple" name="cultures[]" data-toggle="select2" multiple="multiple" required>
    												<option value="">-- Select Cultures --</option>
    												<?php foreach($cultures as $culture): ?>
    													<option value="<?php echo e($culture->id); ?>" <?= in_array($culture->id,$selectedCultures) ? "selected" : "" ?>><?php echo e($culture->name); ?></option>
    												<?php endforeach; ?>
    											</select>
    										</div>
										</div>
										
                                        <ul id="selectedPostcode" class="list-group">
                                        </ul>
                                        
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>
	$(function() {
		buildValidation();
	});

	function buildValidation() {
		var bootstrapValidat = $('#adminUserForm').data('bootstrapValidator');

		if (bootstrapValidat != undefined) {
			bootstrapValidat.destroy();
		}

		$('#adminUserForm').bootstrapValidator({
			// Only disabled elements are excluded
			// The invisible elements belonging to inactive tabs must be validated
			excluded : [':disabled'],
			//container: '#valMessages',
			feedbackIcons : {
				valid : 'fa fa-check',
				invalid : 'fa fa-times',
				validating : 'fa fa-refresh'
			},
			fields : {
				name : {
					validators : {
						notEmpty : {
							message : 'User Display name is required'
						}
					}
				},
				role : {
					validators : {
						notEmpty : {
							message : 'User Role is required'
						}
					}
				},
				
				enabled : {
					validators : {
						notEmpty : {
							message : 'Enabled Status is required'
						}
					}
				},
				country_code : {
					validators : {
						integer : {
							message : 'Only numeric country codes are allowed'
						}
					}
				},
				phone : {
					validators : {
						numeric : {
							message : 'Only Numbers are allowed'
						}
					}
				},
				email : {
					validators : {
						notEmpty : {
							message : 'Email is required'
						},
						emailAddress: {
	                        message : 'Invalid Email Address'
	                    }
					}
				},
				password : {
					validators : {
						regexp: {
	                        regexp: '^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#\$%\^&\*])(?=.{8,})',
	                        message: 'Password must contain 1 Small, 1 Upper case letter, 1 number and 1 special character with minimum length of 8'
	                    }
					}
				},
				photo : {
					validators : {
						file : {
							extension : 'jpeg,png,svg,jpg,gif',
							//type: 'image/jpeg,image/png',
							//maxSize: 2048 * 1024,
							message : 'Only JPEG, PNG, SVG, GIF or JPG are allowed for Featured Image'
						}
					}
				},
			}
		});
		
	}
	
</script>  
	
		
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/editSeller.blade.php ENDPATH**/ ?>