<?php $__env->startSection('content'); ?>
	<div class="content-page">
		<div class="content">
			<!-- Start Content-->
			<div class="container-fluid">
				<!-- start page title -->
				<div class="row mt-3 mb-3">
					<div class="col-8 col-sm-8 col-md-8 col-lg-8">
						<div class="page-title-box">
							<h4>Products</h4>
							<ol class="breadcrumb m-0">
								<li class="breadcrumb-item">
									<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
								</li>
								<li class="breadcrumb-item">
									<a href="<?php echo e(route('sellersList')); ?>">Seller List</a>
								</li>
								<li class="breadcrumb-item active">
									Products
								</li>
							</ol>
						</div>
					</div>
					<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
						
					</div>
				</div>
				<!-- end page title -->
				
				
				<div class="row">
					<div class="col-sm-12">
						
						<div class="car">
							<div class="card-bod">
								<div class="row">
									<div class="col-sm-4">
										<div class="page-title-box">
											<p class="page-title">
												<i class="mdi mdi-format-list-bulleted"></i>Products List of <?php echo e($data['user']->name); ?> 
											</p>
										</div>
									</div>
									<div class="col-sm-4">
										
									</div>
									<div class="col-sm-4 text-right mt-3">
										
										<div class="dropdown d-inline-block" id="filterDropdown">
										  <button class="btn btn-secondary dropdown-toggle mr-3" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
										    <i class="mdi mdi-filter"></i> Filter
										  </button>
										  <div class="dropdown-menu dropdown-menu-right"  aria-labelledby="dropdownMenu2" style="min-width:350px;">
										   <form method="get" class="px-2 py-2">
											
												<div class="form-group mb-3">
													<label for="">Product Name</label>
													<input type="text" name="product_name" value="<?php echo @$posted['product_name']; ?>" class="form-control">
												</div>
												<div class="form-group mb-3">
													<label for="">Product SKU</label>
													<input type="text" name="product_sku" value="<?php echo @$posted['product_sku']; ?>" class="form-control">
												</div>
												<div class="form-group mb-3">
													<label for="">Batch Number</label>
													<input type="text" name="batch_number" value="<?php echo @$posted['batch_number']; ?>" class="form-control">
												</div>
												<div class="form-group mb-3">
													<label for="example-select">Category</label>
													<select class="form-control filterCategories"  name="category">
														<option value="">&nbsp;</option>
														<?php foreach($data['categories'] as $category): ?>
															<optgroup label="<?php echo $category['name']; ?>">
																<option <?php echo @$posted['category']==$category['id']?'selected':''; ?> value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>
																<?php foreach($category['categories'] as $scategory): ?>
																	<option <?php echo @$posted['category']==$scategory['id']?'selected':''; ?> value="<?php echo $scategory['id']; ?>"><?php echo $scategory['name']; ?></option>
																<?php endforeach; ?>
															</optgroup>
														<?php endforeach; ?>
													</select>
												</div>
												
			
												<div class="form-group mb-3">
													<label for="">Price Range</label>
													
													<div class="input-group">
														<input type="number" min="1" name="price_from" value="<?php echo @$posted['price_from']; ?>" class="form-control">
														<div class="input-group-prepend">
															<span class="input-group-text">To</span>
														</div>
														<input type="number" min="1" name="price_to" value="<?php echo @$posted['price_to']; ?>" class="form-control">
													</div>
													 
													
												</div>
												
												<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
													<span class="btn-label"><i class="mdi mdi-filter"></i></span>
													Apply
												</button>
												<a href="<?php echo e(route('products.index')); ?>" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
													<span class="btn-label"><i class="mdi mdi-refresh"></i></span>
													Clear
												</a>
											</form>
										  </div>
										</div>
									</div>
								</div>
	
								<div class="row">
									<div class="col-12">
										<div class="table-responsive">
											
											<table class="table mb-0 table-bordered ">
												<thead class="thead-dark">
													<tr> 
														<th width="50">SKU</th>
														<th>Product Id</th>
														<th>Product Brand</th>
														<th>Product Name</th>
														<th>Categories </th>
														<th class="">Total Stock Balance Quantity</th>
														<th>Current Batch</th>
														<th>Current Batch Balance Quantity</th>
														<th>Price <i class="fa fa-info-circle ml-1" data-toggle="tooltip" title="Price from Current Active Stock Batch"></i> </th>
														<th>Popular</th>
														<th>Enabled</th>
<!-- 														<th class="text-right">Action</th> -->
													</tr>
												</thead>
												<tbody>
													<?php if(count($data['products'])==0): ?>
														<tr class="table-info">
															<td colspan='10' class="text-center">
																No Records Found
															</td>
														</tr>
													<?php endif; ?>
													<?php foreach($data['products'] as $product): ?>
														
														<tr>
															<td width="50">
																<a href="<?php echo e(route('sellerSkudetails', ['id'=>$product->id,'sellerId'=>$data['user']->id] )); ?>" target="_blank" class="link" data-toggle="tooltip" title="View SKU Details">
																	<?php echo e($product->sku); ?>

																</a>
															</td>
															<td width="50">
																<?php echo e($product->product ? $product->product->product_code : ""); ?>

															</td>
															<td>
																<?php echo e($product->product->brand); ?>

															</td>
															<td>
																<img src="<?php echo e($product->image); ?>" width="50" align="left" class="mr-2">
																<?php echo e($product->product->name); ?>

															</td>
															<td>
																<ul style="padding-left:10px;">
																<?php foreach($product->product->categories as $category): ?>
																	<li>
																		<?php echo $category->name; ?> 
																	(<?php echo $category->category ? $category->category->name : "" ?>)
																	</li>
																<?php endforeach; ?>
																</ul>
															</td>
															
															<td class="">
																<?php echo e($product->balance_quantity); ?>

															</td>
															<td>
																<?php if(!empty($product->currentBatch)): ?>
																	<?php echo e($product->currentBatch->batch_number); ?>

																<?php endif; ?>
															</td>
															<td>
																<?php if(!empty($product->currentBatch)): ?>
																	<?php echo e($product->currentBatch->balance_quantity); ?>

																<?php endif; ?>
															</td>
															<td class="text-right">
																<?php if(!empty($product->currentBatch)): ?>
																	<?php echo e($product->currentBatch->base_rate); ?>

																<?php endif; ?>
															</td>
															<td>
																<?php echo e($product->product->popular); ?>

																<?php if($product->product->popular=='Yes'): ?>
																	<?php $pplr = 'No'; ?>
																<?php else: ?> 
																	<?php $pplr = 'Yes'; ?>
																<?php endif; ?>
																<form style="display:block;" action="<?php echo e(route('markPopular',[$product->product->id,$pplr])); ?>" method="get">
																	<?php echo csrf_field(); ?>
																	<?php echo method_field('GET'); ?>
																	<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to <?php echo e($pplr); ?>">
																		<i class="fa fa-recycle"></i>
																	</button>
																</form>
															</td>
															<td>
																<?php $enableClass="warning"; if($product->product->enabled=='Yes'){ $enableClass="success"; } ?>
																<span class="badge bg-<?php echo e($enableClass); ?> shadow-none"><?php echo e($product->product->enabled); ?></span>
															</td>
														</tr>
													<?php endforeach; ?>
													
												</tbody>
											</table>
										</div>
										<div class="pt-3 pagination-rounded justify-content-end">
											<?php echo e($data['products']->appends($data['posted'])->links()); ?>

										</div>
										
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
	
		</div>
		<!-- container -->
	
	</div>
	<!-- content -->
	
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/sellerProducts.blade.php ENDPATH**/ ?>