<?php $__env->startSection('content'); ?>

<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
				<form class="form-horizontal" action="<?php echo e(route('stock.store')); ?>" enctype="multipart/form-data" method="post" id="batchForm">
						<?php echo csrf_field(); ?>
			<!-- start page title -->
			<div class="row mt-2">
				<div class="col-6 col-sm-6 col-md-6 col-lg-6">
					<div class="page-title-box">
						<h4 class="page-title">Add Product Stock</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('batches.index')); ?>">Stock Batches</a>
							</li>
							<li class="breadcrumb-item active">
								Add Product Stock
							</li>
						</ol>
					</div>
					
				</div>
				<?php /*
				<div class="col-sm-6  pt-4">
					
						<div class="form-group">
							<label for="" class="d-block">
								<span class="text-danger">*</span>
								Select Seller
							</label>
							<select data-bv-notempty required class="form-control seller_id prodField" name="seller_id" data-name="[seller_id]">
								<option value="">-- Choose Seller --</option>
								<?php foreach($sellers as $seller): ?>
									<option value="{{ $seller->id }}">{{ $seller->name }}</option>
								<?php endforeach; ?>
							</select>
						</div>
						
						
					
				</div>
				*/?>
								
			</div>
			<!-- end page title -->
			<div class="row">

				<div class="col-12">
					
						<div class="productCards">
						</div>
						
						<div class="productCardSample">
							<div class="card shadow border productCard border border-info">
								<div class="card-header p-1">
									<div class="row">
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="">
													<span class="text-danger">*</span>
													Select Product
												</label>
												<select data-bv-notempty required class="form-control product_id prodField" name="product[0][product_id]" data-name="[product_id]">
													<option value="">-- Choose --</option>
													<?php foreach($products as $product): ?>
														<option value="<?php echo e($product->id); ?>"><?php echo e($product->name); ?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="d-block">
													<span class="float-right">
														<button class="btn btn-xs btn-outline-danger remProductCard" type="button">
															<i class="fa fa-times mr-1"></i>
															Remove This Product
														</button>
													</span>
													<span class="text-danger">*</span>
													Select SKU
													<span class="skuLoader"></span>
												</label>
												<select data-bv-notempty required class="form-control sku_id prodField" name="sku_id" data-name="[sku_id]">
													<option value="">-- Choose --</option>
												</select>
											</div>
										</div>
										
									</div>
									<div class="row">
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="">
													<span class="text-danger">*</span>
													Quantity
												</label>
												<input type="number" data-bv-notempty step="0.01" min="1" required class="form-control form-control-sm batchField" name="quantity" data-name="[quantity]"  placeholder="Quantity"> 
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="">
													<span class="text-danger">*</span>
													Seller Price
												</label>
												<input type="number" data-bv-notempty step="0.01" min="0.1" required class="form-control brcal brate form-control-sm batchField" name="base_rate" data-name="[base_rate]" placeholder="Selling Price"> 
											</div>
										</div>
										
									</div>
									<div class="row">
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="">
													<span class="text-danger">*</span>
													Margin Percentage
												</label>
												<input type="number" required data-bv-notempty step="0.01" min="0" value="" class="form-control brcal mratio form-control-sm batchField" name="margin_ratio" data-name="[margin_ratio]"  placeholder="Margin Percentage"> 
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="">
													<span class="text-danger">*</span>
													Disabled
												</label>
												<select required data-bv-notempty class="form-control batchField" name="disable" data-name="[disable]">
												  	<option value="false">False</option>
												  	<option value="true">True</option>
												</select>

											</div>
										</div>
										
									</div>
								</div>
								
							</div>
						</div>
						<div class="mb-3 text-right">
							<button type="submit" class="btn btn-success waves-effect waves-light">
								<i class="mdi mdi-content-save"></i> Save Stock
							</button>
						</div>
						
						<!-- end card-->

					
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->
			</form>
			<hr>
			<div class="row mt-2">
				<div class="col-6 col-sm-6 col-md-6 col-lg-6">
					<div class="page-title-box">
						<h4 class="page-title" style="line-height: 50px;">Bulk Stock Upload</h4>						
					</div>					
				</div>				
				<div class="col-sm-6" style="padding-top: 0;text-align: right;">
					<a href="<?php echo e(route('downloadBatchSample')); ?>" class="btn btn-danger waves-effect waves-light">
						<i class="fa fa-download mr-1"></i> Download Sample
					</a>
				</div>					
			</div>

			<div class="row">

				<div class="col-12">
						
					<div class="card shadow border productCard border border-info">
						<div class="card-header p-1">									
							<div class="row">
								<div class="col-sm-6">
									<div class="form-group" style="margin: 12px 12px;">		
									<form action="<?php echo e(route('upload_stock')); ?>" method="post" enctype="multipart/form-data">
		        					<?php echo csrf_field(); ?>					
										<input type="file" data-bv-notempty class="form-control batchField" name="upload_csv" required data-name="[upload_csv]" style="padding: 5px;" /> 
									
										<div style="margin-top: 12px;">
											<button type="submit" class="btn btn-success waves-effect waves-light">
												<i class="mdi mdi-content-save"></i> IMPORT
											</button>
											<?php if(Session::has('filepath')): ?>
							            	<?php 
							            		$file = Session::get('filepath');
							            	?>	
											<a href="<?php echo e(route('download_csv',$file)); ?>">
												<button type="button" class="btn btn-danger waves-effect waves-light">
													<i class="fa fa-download mr-1"></i> Download CSV
												</button>
											</a>
							            	<?php endif; ?>
										</div>
									</form>
									</div>
								</div>
							</div>
						</div>
					</div>
						
						<!-- <input type="file" class="form-control batchField" name="upload_stock" data-name="[upload_stock]" > -->
						
						<!-- end card-->

					
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- <div class="col-md-12" id="importFrm">
		        <form action="<?php echo e(route('upload_stock')); ?>" method="post" enctype="multipart/form-data">
		        	<?php echo csrf_field(); ?>
		            <input type="file" name="upload_csv" />
		            <input type="submit" class="btn btn-primary" name="importSubmit" value="IMPORT">
		            <?php if(Session::has('filepath')): ?>
		            	<?php 
		            		$path = Session::get('filepath');
		            	?>		            	
		            	<a href="<?php echo e($path); ?>">Download CSV</a>
		            	
		            <?php endif; ?>
		            
		        </form>
		    </div> -->
		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<!--for Autocomplete-->
<!--<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" crossorigin="anonymous"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" crossorigin="anonymous"></script>
<!-- Bootstrap 4 Autocomplete -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap-4-autocomplete/dist/bootstrap-4-autocomplete.min.js" crossorigin="anonymous"></script>
<!--Autocomplete Ends Here-->
<script>
	$(function() {
		
		var batchRow = $('.batchTbodySample').html();
		$('.batchTbody').append(batchRow);
		$('.batchTbodySample').remove();
		var productCard = $('.productCardSample').html();
		$('.productCardSample').remove();
		$('.productCards').html(productCard);
		
		$('.product_id').select2();
		$('.sku_id').select2();
		
		$(document).on('click','.addProductBtn',function(){
			destroyValidation();
			$('.product_id').select2('destroy');
			$('.sku_id').select2('destroy');
			$('.productCards').append(productCard);
			$('[data-toggle="tooltip"]').tooltip();
			$('.productCards').find('.productCard:last-child').find(".datepicker").flatpickr({
				dateFormat : "Y-m-d"
			});
			updateFieldNames();
			$('.product_id').select2();
			$('.sku_id').select2();
			buildValidation();
		});
		
		$(document).on('click','.addBatchBtn',function(){
			destroyValidation();
		
			$(this).parents('.productCard').find('.batchTbody').append(batchRow);
			$('[data-toggle="tooltip"]').tooltip();
			$(this).parents('.productCard').find('.batchTbody tr:last-child').find(".datepicker").flatpickr({
				dateFormat : "Y-m-d"
			});
			updateFieldNames();
			buildValidation();
		});
		$(document).on('click','.removeBatchBtn',function(){
			destroyValidation();
		
			$(this).parents('tr').remove();
			updateFieldNames();
			buildValidation();
		});
		$(document).on('click','.remProductCard',function(){
			destroyValidation();
			$(this).parents('.productCard').remove();
			updateFieldNames();
			buildValidation();
		});
		
		
		function updateFieldNames(){
			var i=0;
			$('.productCard').each(function(){
				$(this).find('.prodField').each(function(){
					$(this).prop('name','product['+i+']'+$(this).data('name'));
				});
				
				var j=0;
				$(this).find('.batchTbody > tr').each(function(){
					$(this).find('.batchField').each(function(){
						$(this).prop('name','product['+i+'][batch]');
					});
					j++;
				});
				i++;
			});
		}
		
		
		/*$('[name="invoice_no"]').autocomplete({
			source:<?php //echo $invoices ?>,
			treshold:1,
			dropdownOptions:{
				display:'static'
			},
			
			onSelectItem:function(item,element){
				getInvoiceDetails(item.value);
			}
			
		});
		$('[name="invoice_no"]').on('blur',function(){
			//getInvoiceDetails($(this).val());
		});
		function getInvoiceDetails(invoiceId){
			if(invoiceId==""){
				$('[name="invoice_date"]').val("");
				$('[name="merchant_id"]').val("");
				
			} else {
				$.ajax({
					type:'POST',
					url:"<?php echo e(route('getInvoiceDetailsAjax')); ?>/"+invoiceId,
					data:{_token:$('[name="csrf-token"]').attr('content')},
					beforeSend:function(){
						
					},
					success:function(resp){
						if(resp!=0){
							console.log(resp);
							resp = JSON.parse(resp);
							$('[name="invoice_date"]').flatpickr({
								dateFormat : "Y-m-d",
								defaultDate: resp.invoice_date
							});
							//$('[name="invoice_date"]').val(resp.invoice_date);
							
							$('[name="merchant_id"]').val(resp.merchant_id);
						}
						
					}
				});
			}
			
			
		}*/
		
		$(document).on('change','.product_id',function(){
			productId = $(this).val();
			parent  = $(this).parents('.productCard');
			if(productId){
				$.ajax({
					type:'POST',
					url:"<?php echo e(route('getProductSkusAjax')); ?>/"+productId,
					data:{_token:$('[name="csrf-token"]').attr('content')},
					beforeSend:function(){
						parent.find('.skuLoader').html(`<i class="fa fa-spinner fa-spin text-danger"></i>`);
					},
					success:function(resp){
						
						parent.find('.sku_id').select2('destroy');
						parent.find('.sku_id').html(resp);
						parent.find('.sku_id').select2();
						parent.find('.skuLoader').html('');
					}
				});
			} else {
				parent.find('.sku_id').select2('destroy');
				parent.find('.sku_id').html(`<option value="">-- Choose --</option>`);
				parent.find('.sku_id').select2();
				parent.find('.skuLoader').html('');
			}
			
		});
		
		
		$(document).on('change','.otype',function(){
			if($(this).val()!='None'){
				$('.ovalue').prop('required',true);
				$('.osdate').prop('required',true);
			} else {
				$('.ovalue').prop('required',false);
				$('.osdate').prop('required',false);
			}
		});
		
		//base price calculations
		$(document).on('change','.brcal',function(e){
			var parentRow = $(this).parents('tr');
			var mrp = parentRow.find('.brcal.mrp');
			var mratio = parentRow.find('.brcal.mratio');
			var baseRate = parentRow.find('.brcal.brate');
			
			if($(this).hasClass('brate')){
				if(baseRate.val() && mratio.val()){
					mrp2 = ((parseFloat(baseRate.val())*parseFloat(mratio.val()))/100);
					if(Math.round(mrp2)!=mrp2){
						mrp2 = mrp2.toFixed(2);
					}
					
					mrp.val(parseFloat(baseRate.val())+parseFloat(mrp2));
				} else {
					mrp.val(0);
				}
				
			} else {
			
				if(mrp.val() && mratio.val()){
					brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
					if(Math.round(brate)!=brate){
						brate = brate.toFixed(2);
					}
					
					baseRate.val(parseFloat(mrp.val())+parseFloat(brate));
				} else {
					baseRate.val(0);
				}
			}
		});
		//base price calculations ends
		
		
		function destroyValidation(){
			var bootstrapValidat = $('#batchForm').data('bootstrapValidator');
			
			if (bootstrapValidat != undefined)
			   { bootstrapValidat.destroy();}
		}
		
		
		buildValidation();
		
		//validation of the form
		function buildValidation(){
			$('#batchForm').bootstrapValidator();
		}
		
		
	});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/stock/create.blade.php ENDPATH**/ ?>