<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Deals &amp; Offers</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('offers.index')); ?>">Deals &amp; Offers</a>
							</li>
							<li class="breadcrumb-item active">
								Edit Offer
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="<?php echo e(route('offers.update',$offer->id)); ?>" method="post" enctype="multipart/form-data" id="offerForm">
						<?php echo csrf_field(); ?>
						<?php echo method_field('PUT'); ?>
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h5 class="text-white ">
											<i class=" mdi mdi-star"></i>
											Edit Offer
										</h5>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="fa fa-check"></i> Save
										</button>
										<a href="<?php echo e(route('offers.index')); ?>">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="fa fa-list"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-6 offset-2">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Title</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  value="<?php echo e($offer->name); ?>" name="name"  placeholder="Title" data-bv-notempty data-bv-notempty-message="Offer Title is required">
												<?php if($errors->has('name')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-row row mb-3">	
    										<div class="form-group col-12 col-md-3">
    											<label for="inputEmail3" class="col-form-label text-right">Discount Amount</label>    											
    										</div>
    										<div class="form-inline col-12 col-md-9">
    											<input type="number" class="form-control <?php $__errorArgs = ['amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($offer->amount); ?>" name="amount"  placeholder="Amount" data-bv-notempty data-bv-notempty-message="Amount is required">
												<?php if($errors->has('amount')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('amount')); ?></span>
                                                <?php endif; ?>
    											
    											<?php //print_r($discountType);exit;?>
												<select class="form-control ml-2" name="discount_type" id="discountType">
														<option value="percentage" <?= ($offer->discount_type == "percentage") ? "selected" : "" ?>>Percentage</option>
<!-- 														<option value="flat" >Flat</option> -->
												</select>
    										</div>
    									</div>
    									<div class="form-group row mb-3 discountUpto">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Discount Upto</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="number" class="form-control <?php $__errorArgs = ['discount_upto'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "  value="<?php echo e($offer->discount_upto); ?>" name="discount_upto"  placeholder="Discount Upto">
												<?php if($errors->has('discount_upto')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('discount_upto')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Minimum Amount</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="number" class="form-control <?php $__errorArgs = ['min_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "  value="<?php echo e($offer->min_amount); ?>" name="min_amount"  placeholder="Minimum Amount">
												<?php if($errors->has('min_amount')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('min_amount')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
    									<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Vaild From</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" name="start_date"  id="autocomplete" class="form-control <?php $__errorArgs = ['vaild_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> datepicker" value="<?php echo e($offer->start_date); ?>" autocomplete="off" data-bv-notempty data-bv-notempty-message="The vaild from is required">
												<?php if($errors->has('vaild_from')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('vaild_from')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Vaild To</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" name="end_date"  id="autocomplete" value="<?php echo e($offer->end_date); ?>" class="form-control <?php $__errorArgs = ['vaild_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> datepicker" autocomplete="off" data-bv-notempty data-bv-notempty-message="The vaild to is required">
												<?php if($errors->has('vaild_to')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('vaild_to')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										
<!-- 										<div class="form-group row mb-3"> -->
<!-- 											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Offer Banner</label> -->
<!-- 											<div class="col-8 col-sm-10 col-md-10 col-lg-10"> -->
<!-- 												<input type="file" name="image" accept="image/*" id="autocomplete" class="form-control <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" autocomplete="off" data-bv-notempty data-bv-notempty-message="The Image is required"> -->
<!-- 												<?php if($errors->has('image')): ?> -->
<!--                                                       <span class="text-danger"><?php echo e($errors->first('image')); ?></span> -->
<!--                                                 <?php endif; ?> -->
<!-- 											</div> -->
<!-- 										</div> -->
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Coupon Code</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<div class="input-group mb-3">
                                                  <input type="text" readonly class="form-control coupon_code" name="code" value="<?php echo e($offer->code); ?>" placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby="basic-addon2">
                                                  <div class="input-group-append">
                                                    <button class="btn btn-outline-secondary" id="generate_coupon_code" type="button">Generate Code</button>
                                                  </div>
                                                </div>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option <?php echo e(old('enabled')=='Yes'?'selected':''); ?> value="Yes">Yes</option>
													<option <?php echo e(old('enabled')=='No'?'selected':''); ?> value="No">No</option>
												</select>
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>
// 	$(function() {
// 		$('#offerForm').bootstrapValidator({
// 			fields: {
//                 image: {
//                     validators: {
                       
//                         file: {
// 	                        extension: 'jpeg,png,svg,jpg,gif',
// 	                        message: 'Only JPEG, PNG, SVG, GIF or JPG are allowed for Banner Image'
// 	                    }
//                     }
//                 }
//             }
// 		});
// 	});

//getting new Coupon Code
	$(document).on('click','#generate_coupon_code',function(){
			btn = $(this);
			btnHtml = btn.html();
			$.ajax({
				type:'POST',
				data:{_token:$('[name="csrf-token"]').attr('content')},
				url:"<?php echo e(route('getNewCouponCode')); ?>",
				beforeSend:function(){
					btn.html('<i class="fa fa-spin fa-spinner"></i>');	
				},
				success:function(resp){
					btn.html('<i class="mdi mdi-refresh"></i>');
					btn.parents('.input-group').find('.coupon_code').val(resp);
				}
			});
	});
	
	$('#discountType').change(function(){
		if($(this).val() == "percentage"){
			$('.discountUpto').show();
		}else{
			$('.discountUpto').hide();
		}
	});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/offers/edit.blade.php ENDPATH**/ ?>