<?php

namespace App\Exports;

use App\Product;
use App\Category;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;


class ProductSampleExport implements FromView {
	
	
	/*
	public function headings(): array {
      return [
         'Category ID (Required)',
         'Category Name',
         'Merchant Email (Required)',
         'Product Name (Required)',
         'Description',
         'SKU (Required)',
         'Manage Stock (Yes/No)',
         'Stock Quantity',
         'Minimum Order Quantity',
         'Weight',
         'Weight Unit',
         'Price',
         'Image URL (Required)',
         'Tags (Comma Separated)',
         'Sort Order',
         'Enabled (Yes/No)'
      ];
   }
	*/
	public function view(): View {
		
		$catTree = Category::whereNull('parent_id')->with(['categories'=>function($query){
    		$query->where('enabled','Yes');
    	}])->get()->toArray();
		
		$catTree = $this->genCatList($catTree);
		$catTre=[];
		foreach($catTree as $cat){
			if(strpos($cat['name'],'>')){
				$catTre[]=$cat;
			}
		}
		
		
		
        return view('exports.SampleProducts', [
            'rows' => $catTre
        ]);
    }
	
	public function genCatList($tree,$saperator="",$cTree=[]){
		
		foreach($tree as $k=>$row){
			$cTree[]=array('id'=>$row['id'],'name'=>$saperator.$row['name']);
			$cTree=$this->genCatList($row['categories'],$saperator.$row['name']." -> ",$cTree);
        }
		
		
		return $cTree;
	}
	
	
}
