<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Specification extends Model
{
	
    public function specifications(){
		return $this->hasMany('App\Specification','parent_id')->with('specifications');
	}
	
	public function parent(){
		return $this->belongsTo('App\Specification','parent_id');
	}
	
	public function specification(){
		return $this->belongsTo('App\Specification','parent_id')->with('specification');
	}
}
