<?php if(empty($product->order_status)): ?>
	<div class="alert alert-info text-center">
		<strong>
			<i class="mdi mdi-information-outline"></i>
			No records found so far.
		</strong>
	</div>
<?php else: ?>
	<table class='table table-bordered table-stripped table-hover'>
		<thead>
			<tr>
				<th>Date</th>
				<th>Status</th>
				<th style="width:40% !importnat;">Remarks</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($product->order_status as $ostatus): ?>
				<tr>
					<td>
						<?php echo date('d-M-Y h:i A',strtotime($ostatus->status_date)); ?>
					</td>
					<td>
						<?php echo $ostatus->status; ?>
					</td>
					<td style="width:40% !importnat;">
						<?php echo $ostatus->remarks; ?>
						<?php if(!empty($ostatus->shipping)): ?>
							<hr>
							<?php echo $ostatus->shipping; ?>
						<?php endif; ?>
					</td>
				</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
<?php endif; ?>
