
			<div class="row">

				<div class="col-12">
					<form class="form-horizontal" action="{{ route('updateStock') }}" method="post" id="batchForm">
					<input type="hidden" name="sellerId" value="{{ $data->sellerId }}">
						@csrf
						<div class="productCards">
						</div>
						<div class="productCardSample">
							<div class="card shadow border productCard border border-info">
								<div class="card-body p-0">
									<table class="table table-stripped table-bordered batchTable mb-0">
										<thead>
											<tr class="text-primary">
												<th colspan="10">
													Stock 
												</th>
											</tr>
											<tr>
												<th><span class="text-danger">*</span>Stock No</th>
<!-- 												<th><span class="text-danger">*</span>Mfd Date</th> -->
<!-- 												<th>Exp. Date</th> -->
												<th><span class="text-danger">*</span>Quantity</th>
												<th><span class="text-danger">*</span>Balance Quantity</th>
												<th><span class="text-danger">*</span>Selling Price<i class="mdi mdi-currency-inr"></i></th>
												<th><span class="text-danger">*</span>Margin Percentage</th>
												<th></th>
											</tr>
										</thead>
										<tbody class="batchTbody">
										</tbody>
										<tbody class="batchTbodySample">
											<tr>
												<td>
													<div class="form-group mb-0">
														<input type="text" data-bv-notempty required class="form-control form-control-sm batchField" name="sku_id" value="{{ $data->skuId }}" data-name="[sku_id]"  placeholder="SKU"><br>
													</div>
												</td>

												<td>
													<div class="form-group mb-0">
														<input type="number" data-bv-notempty step="1" required class="form-control form-control-sm batchField" name="quantity" value="{{ $data->quantity }}" data-name="[quantity]"  placeholder="Quantity">
													</div>
												</td>
												<td>
													<div class="form-group mb-0">
														<input type="number" data-bv-notempty step="0.01" min="0.1" required class="form-control brcal mrp  form-control-sm batchField" value="{{ $data->balanceQuantity }}" name="balance_quantity" data-name="[balance_quantity]"  placeholder="MRP">
													</div>
												</td>
												<td>
													<div class="form-group mb-0">
														<input type="number" data-bv-notempty step="0.01" min="1" required class="form-control brcal mratio form-control-sm batchField" value="{{ $data->sellerPrice }}" name="product_mrp" data-name="[product_mrp]"  placeholder="Selling Price">
													</div>
												</td>
												<td>
													<div class="form-group mb-0">
														<input type="number" data-bv-notempty step="0.01" min="0" required class="form-control brcal brate form-control-sm batchField" name="margin_rate" value="{{ $data->marginPercentage}}" data-name="[margin_rate]" placeholder="Margin Percentage">
													</div>
												</td>
												
												<td>
													<button class="btn btn-xs btn-outline-danger removeBatchBtn" type="button" >
														<i class="fa fa-times"></i>
													</button>
												</td>
											</tr>
											
										</tbody>
									</table>
								</div>
							</div>
						</div>
						<div class="mb-3 text-right">
							<button type="submit" class="btn btn-success waves-effect waves-light">
								<i class="mdi mdi-content-save"></i> Update Stock
							</button>
						</div>
						<!-- end card-->

					</form>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->
