<?php $class=null; ?>
<?php $icon=null; ?>
<?php if($message = Session::get('success')): ?>
	<?php $class='success'; ?>
	<?php $icon='fa-check mr-2'; ?>
<?php elseif($message = Session::get('error')): ?>
	<?php $class='danger'; ?>
	<?php $icon='fa-exclamation-circle mr-2'; ?>
<?php elseif($message = Session::get('warning')): ?>
	<?php $class='warning'; ?>
	<?php $icon='fa-info-circle mr-2'; ?>
<?php elseif($message = Session::get('info')): ?>
	<?php $class='info'; ?>
	<?php $icon='fa-info-circle mr-2'; ?>
<?php elseif($message = Session::get('status')): ?>
	<?php $class='info'; ?>
	<?php $icon='fa-info-circle mr-2'; ?>
<?php elseif($errors->any()): ?>
	<?php $class='danger'; ?>
	<?php $icon='fa-exclamation-circle mr-2'; ?>
<?php endif; ?>

<?php if($class!=null): ?>
	<div class="toast-backdrop" onclick="$('.toast').toast('hide');"></div>
	<div class="toast" id="flashes" role="alert" aria-live="assertive" aria-atomic="true" style="position: absolute; top: 20px; right: 20px;min-width:350px; z-index: 999999;">
	  <div class="toast-header bg-<?php echo $class; ?> text-white" style="border-bottom:0px;">
	  	<span class="fa <?php echo $icon; ?>"></span>
	    <strong class="mr-auto">
	    	Oja
	    </strong>
	    <small></small>
	    <button type="button" class="ml-2 mb-1 close text-white" data-dismiss="toast" aria-label="Close">
	      <span aria-hidden="true">&times;</span>
	    </button>
	  </div>
	  <div class="toast-body text-<?php echo $class; ?>" style="text-shadow:0px 0px 1px #888;">
	    <?php if($errors->any()): ?>
	    	Please Check form for errors.
	    	
	    <?php else: ?>
	    	<?php echo e($message); ?>

	    <?php endif; ?>
	  </div>
	</div>
	<script>
		$(function(){
			$('.toast').toast({animation:true,autohide:true,delay:4000});
			$('.toast').toast('show');
			
			$('#flashes').on('shown.bs.toast', function () {
			  $('.toast-backdrop').addClass('open');
			});
			$('#flashes').on('hidden.bs.toast', function () {
			  $('.toast-backdrop').removeClass('open');
			});
		});
	</script>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/flash/flash.blade.php ENDPATH**/ ?>