<style type="text/css">
    .content-page {
        background-color: #f1f1f1;
    }
    .text-red-dark{
        color: #c23e34 !important;
        margin-bottom: 0px;
    }
    .comn-header-title{
        color: #c23e34;
        font-weight: 700;
    }
    .page-title-box .page-title{
        color: #808080 !important;
    }
    .text-grey-dark{
        color: #808080;
    }
    .comn-single-item-box{
        text-align: center;
    }
    .item-img{
        width: 100%;
        height: 100px;
        object-fit: contain;
    }
    .content-page{
        height: 100% !important;
        overflow: scroll !important;
    }
    .right-order-box{
        text-align: right;
        position: relative;
        height: 100%;
    }
    .custom-dropdown-btn{
        background: #3f92c9 !important;
        border-radius: 30px !important;
        width: 160px !important;
        position: relative;
        height: 44px;
    }
    .custom-dropdown-btn::before {
        content: "";
        position: absolute;
        right: 8px;
        top: 18px;
        border-top: 10px solid #ffffff;
        border-bottom: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
    }
    .dropdown-menu {
        padding: 0px !important;
    }
    .dropdown-item{
        background-color: #d9d9d9 !important;
        color: #3f92c9 !important;
        transition: 0.5s ease;
    }
    .dropdown-item:hover{
        background-color: #3f92c9 !important;
        color: #ffffff !important;
    }
    .more-detail-fixed-btn{
        position: absolute;
        width: 115px;
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
    }
    .more-red-btn{
        background: #c43d31 !important;
    }
</style>
<?php $__env->startSection('content'); ?>

<div class="content-page">
    <div class="content">
        <!-- Start Content-->
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h3 class="page-title">Welcome to Your Hub</h3>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-md-4 col-xl-3">
                    <div class="widget-rounded-circle card-box">
                        <div class="row">
                            <div class="col-12">
                                <div class="text-left">
                                    <p class="text-muted mb-1 text-truncate">Sales this week</p>
                                    <h2 class="text-red-dark mt-1">&pound;<span data-plugin="counterup"><?= $earning ?></span></h2>
                                </div>
                            </div>
                        </div>
                        <!-- end row-->
                    </div>
                    <!-- end widget-rounded-circle-->
                </div>
                <!-- end col-->

                <div class="col-md-4 col-xl-3">
                    <div class="widget-rounded-circle card-box">
                        <div class="row">
                            <div class="col-12">
                                <div class="text-left">
                                    <p class="text-muted mb-1 text-truncate">Today's Sales</p>
                                    <h2 class="text-red-dark mt-1">&pound;<span data-plugin="counterup"><?= $todaySales ?></span></h2>
                                </div>
                            </div>
                        </div>
                        <!-- end row-->
                    </div>
                    <!-- end widget-rounded-circle-->
                </div>
                <!-- end col-->

                <div class="col-md-4 col-xl-3">
                    <div class="widget-rounded-circle card-box">
                        <div class="row">
                            <div class="col-12">
                                <div class="text-left">
                                    <p class="text-muted mb-1 text-truncate">Orders Today</p>
                                    <h2 class="text-red-dark mt-1">&pound;<span data-plugin="counterup"><?= $todayOrders ?></span></h2>
                                </div>
                            </div>
                        </div>
                        <!-- end row-->
                    </div>
                    <!-- end widget-rounded-circle-->
                </div>

                <div class="col-md-4 col-xl-3">
                    <div class="widget-rounded-circle card-box">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group mb-3" >

                                    <form method="get" id="TotalNumberOfSale">
                                        <?php echo csrf_field(); ?>
                                    <label for="">Totle Number of Sale</label>
                                    <input type="text" id="range-datepicker" value="<?php echo e($dateValue); ?>" name="date_range" class="form-control" placeholder="2018-10-03 to 2018-10-10">
                                    <div id="TotalNumberOfSaleContent"></div>
                                    <input type="submit" name="submit" class="btn btn-rounded btn-danger more-red-btn  mt-1"  style="background-color: #061fc4!important; border: #061fc4!important color:red">
                                    </form>

                                 </div>
                            </div>
                        </div>
                        <!-- end row-->
                    </div>
                    <!-- end widget-rounded-circle-->
                </div>
                <!-- end col-->
                <script type="text/javascript">
                    $(document).ready(function(){
                            $("#TotalNumberOfSale").on('submit' , function(e){
                                var data = $("#TotalNumberOfSale").serialize();
                                e.preventDefault();
                                $.ajax({
                                    type:"GET",
                                    url: $(this).attr('action'),
                                    method:'get',
                                    data:data,
                                    success:function(success){
                                        $("#TotalNumberOfSaleContent").html("<span style=' color:red' >Total Number of Sale : </span><b>" + success +"</b>");
                                       
                                    },
                                                    
                                });
                            });
                    });
                </script>

                 <div class="col-md-4 col-xl-3">
                    <div class="widget-rounded-circle card-box">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group mb-3" >
                                    <form method="get" id="ValueOfSale">
                                        <?php echo csrf_field(); ?>
                                    <label for="">Total Sale By Date</label>
                                    <input type="text" id="range-datepickers" value="<?php echo e($dateValue); ?>" name="totalEarning" class="form-control flatpickr-input active" placeholder="2018-10-03 to 2018-10-10">
                                    <div id="ValueOfSaleContent"></div>
                                    <input type="submit" name="submit" class="btn btn-rounded btn-danger more-red-btn  mt-1"  style="background-color: #061fc4!important; border: #061fc4!important">
                                    </form>
                                 </div>
                            </div>
                        </div>
                        <!-- end row-->
                    </div>
                    <!-- end widget-rounded-circle-->
                </div>
                <!-- end col-->
                <script type="text/javascript">
                    $(document).ready(function(){
                            $("#ValueOfSale").on('submit' , function(e){
                                var data = $("#ValueOfSale").serialize();
                                e.preventDefault();
                                $.ajax({
                                    type:"GET",
                                    url: $(this).attr('action'),
                                    method:'get',
                                    data:data,
                                    success:function(success){
                                         $("#ValueOfSaleContent").html("<span style=' color:red' >Total Value of Sale : </span><b>" + success +"</b>");
                                       
                                    },
                                                    
                                });
                            });
                    });
                </script>

            </div>
            <!-- end row -->

            <div class="row mb-5">
                <div class="col-xl-12">
                    <div class="d-flex justify-content-between align-items-center mt-3 mb-2">
                        <h4 class="header-title comn-header-title">Recent Orders</h4>
                        <a href="#" class="header-title comn-header-title">Filter Sort</a>
                    </div>
                    
                    <?php foreach ($recentOrders as $recentOrder){?>
                    <div class="card-box">
                        <div class="d-flex justify-content-between align-items-center mt-3">
                            <h4 class="header-title text-grey-dark">DUE FOR DELIVERY : <span class="text-red-dark h4">&nbsp;&nbsp; <?php echo e(date('d F', strtotime($recentOrder->delivery_date))); ?></span></h4>
                            <p class="text-muted mb-1 text-truncate">
                                <?php
                                $time = date("g:i a", strtotime($recentOrder->created_at ));
                                 $newDate = date("d/m/Y", strtotime($recentOrder->created_at ));  
                            
                                ?>



                              <?php echo e($newDate); ?>  <?php echo e($time); ?></p>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <h4 class="header-title text-grey-dark">PREPARE ORDER BY : <span class="text-red-dark h4">&nbsp;&nbsp;

                               <!-- delivery_date are comming not time -->
                             <?php echo e($recentOrder->delivery_date); ?></span></h4>
                            <p class="text-muted mb-1 text-truncate">




                                <?php echo e($recentOrder->order_number); ?></p>
                        </div>
                        <div class="row">
                            <div class="col-8 col-md-8">
                                <div class="row">
                                	<!-- Products inside orders -->
									<?php $sr=1; foreach ($recentOrder->order_products as $product){   
									       $productJson = json_decode($product->product); 
									       $productCount = count($recentOrder->order_products);
									      // print_r($productJson->images[0]->name);exit;
									       if($sr <= 3){ ?>
                                    	<div class="col-12 col-md-3">
                                            <div class="comn-single-item-box mb-3">
                                                <?php if(isset($productJson->images[0]->name)): ?>
                                                <img src="<?php echo e($productJson->images[0]->name); ?>" class="item-img">
                                                <?php else: ?>
                                                <?php echo e(''); ?><?php endif; ?>
                                                <p class="text-muted m-0 text-truncate"><?php echo e($productJson->product->name ?? ''); ?></p>
                                                <p class="text-muted m-0 text-truncate"><?php echo e($productJson->current_batch->weight ?? ''); ?> <?php echo e($productJson->current_batch->weight_unit ?? ''); ?></p>
                                                <p class="text-muted m-0 text-truncate">Qty: <?php echo e($product->quantity ?? ''); ?></p>
                                            </div>
                                        </div>  
                                    <?php }if($sr > 3){?>                                  
                                        <div class="col-12 col-md-3 mt-4 pl-4">
                                           <!--  <h3 class="text-red-dark"><b>+<?= $productCount - 3 ?> <br> more</b></h3> -->
                                        </div>
                                    <?php } $sr++; }?>
                                </div>
                            </div>
                            <div class="col-4 col-md-4 text-right">
								<span class="badge badge-success"><?php echo e($recentOrder->status); ?></span>
                            	<?php if($recentOrder->status == 'Pending'){ ?>        
                            		<div class="text-right"> 
                                        <a href="<?= route('markOrderStatus',[$recentOrder->id,1]) ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-1">Accept Order</a> <br>                                
                                        <a href="<?= route('markOrderStatus',[$recentOrder->id,0]) ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-2">Decline Order</a>
                               		</div>
                               	<?php }else if($recentOrder->status!='Delivered'): ?>
                               		<div class="text-right"> 
                                    	<button style="background-color: #061fc4!important; border: #061fc4!important" class="btn btn-rounded btn-danger more-red-btn updateOrderStatusBtn mt-1" data-order-product-id="<?php echo $recentOrder->id; ?>" data-url="<?php echo e(route('getOrderStatusForm')); ?>" type="button" >
                                    		<i class="mdi mdi-update"></i>
                                    		Update Status
                                    	</button>
                                	</div>
                        		<?php endif; ?>
                        			<div class="text-right"> 
                            	 		<a href="<?php echo e(route('orders.show',$recentOrder->id)); ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-4">More Detail</a> <br>                                
                        			</div>
                        	</div>
                        </div>
                    </div>

                    <?php }?>

                     <?php if($recentOrders instanceof \Illuminate\Pagination\LengthAwarePaginator ): ?>

                                   <?php echo e($recentOrders->links()); ?>


                                <?php endif; ?>

                                       
                    <!-- end card-box-->
<!--  -->                </div>
                <!-- end col-->
            </div>
            <!-- end row-->
        </div>
        <!-- container -->
    </div>
    <!-- content -->
</div>

<script>
var modalLoading = `<p align="center"><strong>Loading</strong></p>
					        <div class="d-flex justify-content-center">
					        	<div class="spinner-grow text-blue" role="status"></div>
						    </div>`;
		$(document).on('click','.updateOrderStatusBtn',function(){
			var opid = $(this).data('order-product-id');
			var url = $(this).data('url');
			
			$('#statusModal').modal('show');
			
			$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),opid:opid},
	           beforeSend:function(){
	           	 $('.statusBody').html(modalLoading);
	           },
	           success:function(data) {
	           		if(data!=0){
	           			$('.statusBody').html(data);
		           		$('.statusBody').find(".datetimePicker").flatpickr({
							enableTime : !0,
							dateFormat : "d-M-Y H:i"
						});
	           		} else {
	           			$('.statusBody').html(`<div class="alert alert-warning">Something went wrong. Try again after page refresh.</div>`);
	           		}
	           		
	           }
	        });
		});
		
		$(document).on('change','.statusSelectBox',function(){
			var thisStatus = $(this).val();
			var deliveredDiv = $('#deliveredDiv');
			var shippedDiv = $('#shippedDiv');
			
			if(thisStatus=='Delivered'){
				deliveredDiv.show().find('.form-control').prop('disabled',false);
				shippedDiv.hide().find('.form-control').prop('disabled',true);
			} else if(thisStatus=='Shipped') {
				shippedDiv.show().find('.form-control').prop('disabled',false);
				deliveredDiv.hide().find('.form-control').prop('disabled',true);
			} else {
				deliveredDiv.hide().find('.form-control').prop('disabled',true);
				shippedDiv.hide().find('.form-control').prop('disabled',true);
			}
		});
</script>

<!--Status Update Modals-->
<div class="modal fade"  tabindex="-1" role="dialog" id="statusModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white"><i class="mdi mdi-update"></i> Update Order Status</h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body statusBody">
      	
      </div>
      
    </div>
  </div>
</div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.seller-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/seller/dashboard.blade.php ENDPATH**/ ?>