<?php $__env->startSection('content'); ?>

<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Deals &amp; Offers</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('offers.index')); ?>">Deals &amp; Offers</a>
							</li>
							<li class="breadcrumb-item active">
								New Offer
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="<?php echo e(route('offers.store')); ?>" method="post" enctype="multipart/form-data" id="offerForm">
						<?php echo csrf_field(); ?>
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h5 class="text-white ">
											<i class=" mdi mdi-star"></i>
											New Offer
										</h5>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="fa fa-check"></i> Save
										</button>
										<a href="<?php echo e(route('offers.index')); ?>">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="fa fa-list"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-6 offset-2">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Title</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  value="<?php echo e(old('name')); ?>" name="name"  placeholder="Title" data-bv-notempty data-bv-notempty-message="Offer Title is required">
												<?php if($errors->has('name')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										
    									<div class="form-row row mb-3">	
    										
    										<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Discount Type</label>    											
    										
    										<div class="form-inline col-12 col-md-9">
												
												<select class="form-control" name="discount_type" id="discountType">
														<option value="PERCENT">Percentage</option>
														<option value="FIXED_PRICE">Fixed</option>
												</select>

    											<input type="number" class="form-control ml-2 discountAmount <?php $__errorArgs = ['amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(old('amount')); ?>" name="amount" value=0 placeholder="Discount Amount" data-bv-notempty data-bv-notempty-message="Amount is required" style="display: none;">
												<?php if($errors->has('amount')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('amount')); ?></span>
                                                <?php endif; ?> 

                                               <input type="number" class="form-control ml-2 discountUpto <?php $__errorArgs = ['discount_upto'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "  value="<?php echo e(old('discount_upto')); ?>" name="discount_upto"  placeholder="Discount Percent">
												<?php if($errors->has('discount_upto')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('discount_upto')); ?></span>
                                                <?php endif; ?>

    										</div>
    									</div>
    									
    									<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Offer Type</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="offer_type" id="offerType" >
													<option  value="MULTI_USE">Multi Use</option>
													<option  value="SINGLE_USE">Single Use</option>
												</select>
											</div>
										</div>
    									
    									<div class="form-group row mb-3" style="display: none;" id="promo_code">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Promo Code Count</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="number" class="form-control <?php $__errorArgs = ['promocodecount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "  value="<?php echo e(old('promocodecount')); ?>" name="promocodecount"  placeholder="PromoCode Count">
												<?php if($errors->has('promocodecount')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('promocodecount')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>

										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Minimum Amount</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="number" class="form-control <?php $__errorArgs = ['min_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "  value="<?php echo e(old('min_amount')); ?>" name="min_amount"  placeholder="Minimum Amount">
												<?php if($errors->has('min_amount')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('min_amount')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>

										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Maximum Amount</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="number" class="form-control <?php $__errorArgs = ['max_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "  value="<?php echo e(old('max_amount')); ?>" name="max_amount"  placeholder="Minimum Amount">
												<?php if($errors->has('max_amount')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('max_amount')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>

    									<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Vaild From</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="date" name="start_date"  id="autocomplete" class="form-control <?php $__errorArgs = ['vaild_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> datepicker" value="" autocomplete="off" data-bv-notempty data-bv-notempty-message="The vaild from is required">
												<?php if($errors->has('vaild_from')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('vaild_from')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Vaild To</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="date" name="end_date"  id="autocomplete" class="form-control <?php $__errorArgs = ['vaild_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> datepicker" autocomplete="off" data-bv-notempty data-bv-notempty-message="The vaild to is required">
												<?php if($errors->has('vaild_to')): ?>
                                                      <span class="text-danger"><?php echo e($errors->first('vaild_to')); ?></span>
                                                <?php endif; ?>
											</div>
										</div>
										
<!-- 										<div class="form-group row mb-3"> -->
<!-- 											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Offer Banner</label> -->
<!-- 											<div class="col-8 col-sm-10 col-md-10 col-lg-10"> -->
<!-- 												<input type="file" name="image" accept="image/*" id="autocomplete" class="form-control <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" autocomplete="off" data-bv-notempty data-bv-notempty-message="The Image is required"> -->
<!-- 												<?php if($errors->has('image')): ?> -->
<!--                                                       <span class="text-danger"><?php echo e($errors->first('image')); ?></span> -->
<!--                                                 <?php endif; ?> -->
<!-- 											</div> -->
<!-- 										</div> -->
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Coupon Code</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<div class="input-group mb-3">												

                                                  <input type="text" readonly class="form-control coupon_code <?php $__errorArgs = ['code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="code" placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby="basic-addon2" data-bv-notempty data-bv-notempty-message="Coupon code is required">
                                                  
                                                  <div class="input-group-append">
                                                    <button class="btn btn-outline-secondary" id="generate_coupon_code" type="button">Generate Code</button>
                                                  </div>
                                                </div>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option <?php echo e(old('enabled')=='Yes'?'selected':''); ?> value="True">Yes</option>
													<option <?php echo e(old('enabled')=='No'?'selected':''); ?> value="False">No</option>
												</select>
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>

	//getting new Coupon Code
	$(document).on('click','#generate_coupon_code',function(){
			btn = $(this);
			btnHtml = btn.html();
			$.ajax({
				type:'POST',
				data:{_token:$('[name="csrf-token"]').attr('content')},
				url:"<?php echo e(route('getNewCouponCode')); ?>",
				beforeSend:function(){
					btn.html('<i class="fa fa-spin fa-spinner"></i>');	
				},
				success:function(resp){
					btn.html('<i class="mdi mdi-refresh"></i>');
					btn.parents('.input-group').find('.coupon_code').val(resp);
				}
			});
	});
	
	$('#discountType').change(function(){
		if($(this).val() == "PERCENT"){
			$('.discountUpto').show();
			$('.discountAmount').hide();
		}else{
			$('.discountUpto').hide();
			$('.discountAmount').show();
		}
	});

	$('#offerType').change(function(){
		if($(this).val() == "SINGLE_USE"){
			$('#promo_code').show();
		}else{
			$('#promo_code').hide();
		}
	});
	

// 	$(function() {
// 		$('#offerForm').bootstrapValidator({
// 			fields: {
//                 code: {
//                     validators: {
//                         notEmpty: {
//                             message: 'Coupon code is required'
//                         }
//                     }
//                 }
//             }
// 		});
// 	});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/offers/create.blade.php ENDPATH**/ ?>