<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	
    <meta content="Oja - Making the global, local." name="description" />
    <meta content="Oja Online Shopping" name="author" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Oja</title>

	<!-- App favicon -->
    <link rel="shortcut icon" href="<?php echo e(asset('images/fav-oja.png')); ?>">
    

    <!-- App css -->
    <link href="<?php echo e(asset('css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('css/app.min.css')); ?>" rel="stylesheet" type="text/css" />
    <style>
    	.toast-backdrop {
				position: fixed;
			    top: 0;
			    left: 0;
			    width: 100%;
			    height: 100%;
			    background:rgba(0,0,0,0.4);
			    z-index: -1;
			    visibility: hidden;
			    opacity:0;
			    transition:all .4s;
			}
			.toast-backdrop.open {
				z-index: 99999;
			    visibility:visible;
			    opacity:1;
			    backdrop-filter: blur(1px);
			    -webkit-backdrop-filter: blur(1px);
			}
    </style>
    
    
</head>
<body style="background:#fff;">
	<!-- Begin page -->
    <div id="wrapper">
    	<?php echo $__env->yieldContent('content'); ?>
    </div>
    
</body>
</html>
<?php /**PATH C:\xampp\htdocs\oja\resources\views/layouts/login.blade.php ENDPATH**/ ?>