<?php $__env->startSection('content'); ?>
           <div class="content-page">
                <div class="content">

                    <!-- Start Content-->
                    <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                 
                                    <h4 class="page-title">Dashboard</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 

                        <div class="row">
                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-primary">
                                                <i class="dripicons-wallet font-24 avatar-title text-primary"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1">&pound;<span data-plugin="counterup"><?= $earning ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">This Month Sales</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-success">
                                                <i class="dripicons-cart font-24 avatar-title text-success"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup"><?= $totalOrders ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">Pending Order</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-info">
                                                <i class="dripicons-user font-24 avatar-title text-info"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup"><?= $totalSellers ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">TOTAL VENDORS</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-warning">
                                                <i class="dripicons-user font-24 avatar-title text-warning"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup"><?= $totalCustomers ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">TOTAL CUSTOMERS</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->
                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="text-left">
                                                <h3 class="text-dark mt-1">Filter Order by Date</h3>
                                                <form method="get" >
                                                    <?php echo csrf_field(); ?>
                                                <label for="">Filter by Date</label>
                                                <input type="text" id="range-datepicker" value="<?php echo e($dateValue); ?>" name="date_range" class="form-control" placeholder="2018-10-03 to 2018-10-10">
                                                <input type="submit" name="submit" class="btn btn-rounded btn-danger more-red-btn  mt-1"  style="background-color: #061fc4!important; border: #061fc4!important">
                                                </form>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> 
                        </div>
                        <!-- end row -->


                        <div class="row">
                            <div class="col-xl-12">
                                <div class="card-box">
                                    <h4 class="header-title mb-3">Recent Orders</h4>

                                    <div class="table-responsive">
                                        <table class="table table-centered table-hover mb-0">
                                            <thead>
                                                <tr>
                                                    <th class="border-top-0">Order Number</th>
                                                    <th class="border-top-0">User</th>
                                                    <th class="border-top-0">Store</th>
                                                    <th class="border-top-0">Total Amount</th>
                                                    <th class="border-top-0">Status</th>
                                                    <th class="border-top-0">Date</th>
                                                    <th class="border-top-0">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php foreach ($recentOrders as $order){?>
                                                    <tr>
                                                        <td><?= $order->order_number ?></td>
                                                        <td><span class="ml-2"><?= $order->user->name ?></span></td>
                                                        <td><?= ($order->order_products[0]->user) ? $order->order_products[0]->user->name : "" ?></td>
                                                        <td><?= $order->total_amount ?></td>
                                                        <td><?= $order->status ?></td>
                                                        <td><?= $order->created_at ?></td>
                                                        <td>
															<a href="<?php echo e(route('orders.show',$order->id)); ?>">
                        										<button type="button" class="btn btn-secondary waves-effect waves-light">
                        											<i class="mdi mdi-eye"></i>
                        										</button>
                        									</a>
                    									</td>
                                                    </tr>
                                                <?php }?>
                                            </tbody>
                                        </table>
                                    </div> <!-- end table-responsive -->

                                </div> <!-- end card-box-->

                                <div class="pt-3 pagination-rounded justify-content-end">
                               <?php if($recentOrders instanceof \Illuminate\Pagination\LengthAwarePaginator ): ?>

                                   <?php echo e($recentOrders->links()); ?>


                                <?php endif; ?>
                                    </div>
                            </div> <!-- end col-->
                        </div>
                        <!-- end row-->
                        
                    </div> <!-- container -->

                </div> <!-- content -->
            </div>

<!-- Chart JS -->
<script src="<?php echo e(asset('libs/moment/moment.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/chart-js/Chart.bundle.min.js')); ?>"></script>
<!-- Init js -->
<script src="<?php echo e(asset('js/pages/chartjs.init.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/dashboard.blade.php ENDPATH**/ ?>