<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-2">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4 class="page-title">Batch Details</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('batches.index')); ?>">Batches</a>
							</li>
							<li class="breadcrumb-item active">
								Batch Details
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			<div class="row">

				<div class="col-4">
					<div class="card">
						<div class="card-body">
							<table class="table table-striped table-bordered">
								<thead>
									<tr class="table-active">
										<th colspan="2">
											Batch Number: 
											<span class="badge badge-primary font-14">
												<?php echo e($batch->batch_number); ?>

											</span>
										</th>
										
									</tr>
								</thead>
								<tr>
									<th>Stock Quantity</th>
									<td>
										<b>
											<?php echo e($batch->quantity); ?>

										</b>
									</td>
								</tr>
								
								<tr>
									<th>Balance Quantity</th>
									<td>
										<b>
											<?php echo e($batch->balance_quantity); ?>

										</b>
									</td>
								</tr>
								<tr>
									<th>Product MRP (per unit)</th>
									<td>
										<?php echo e($batch->product_mrp); ?>

									</td>
								</tr>
								<tr>
									<th>Margin Ratio (%)</th>
									<td>
										<?php echo e($batch->margin_ratio); ?>

									</td>
								</tr>
								<tr>
									<th>Product Base Rate</th>
									<td>
										<?php echo e($batch->base_rate); ?>

									</td>
								</tr>
								
								<tr>
									<th>Enabled</th>
									<td>
										<?php echo e($batch->enabled); ?>

									</td>
								</tr>
								<tr>
									<th>Created On</th>
									<td>
										<?php echo e(date('d-M-Y H:i:s',strtotime($batch->created_at))); ?>

									</td>
								</tr>
							</table>

						</div>
					</div>
						<!-- end card-->
				</div>
				<div class="col-8">
					<div class="card">
						<div class="card-body">
							<h5 class="m-0 p-0 mb-4">Product Details</h5>
							<table class="table">
								<thead>
									<tr>
										
										<th>Name</th>
										<th>SKU</th>
										<th>Variation Name</th>
										<th>Variation Value</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										
										<td><?php echo e($batch->product->product->name); ?></td>
										<td><?php echo e($batch->product->sku); ?></td>
										<td><?php echo e($batch->product->variation_name); ?></td>
										<td><?php echo e($batch->product->variation_value); ?></td>
									</tr>
									<tr>
										<td colspan="4">
											<h5 class="m-0 p-0 mb-2">Product Images</h5>
											<?php foreach($batch->product->images as $image): ?>
												<img class="border rounded m-1 shadow" src="<?php echo e($image->name); ?>" style="width:150px;height:150px;object-fit:cover;">
											<?php endforeach; ?>
										</td>
									</tr>
								</tbody>
							</table>
							
							
						</div>
					</div>
						<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/stock/show.blade.php ENDPATH**/ ?>