<!doctype html> 
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<meta content="Oja - Making the global, local." name="description" />
		<meta content="Oja Online Shopping" name="author" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />

		<!-- CSRF Token -->
		<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

		<title>Oja</title>

		<!-- App favicon -->
		<link rel="shortcut icon" href="<?php echo e(asset('images/fav-oja.png')); ?>">

		<!-- Plugins css -->
		<link href="<?php echo e(asset('libs/flatpickr/flatpickr.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/jquery-vectormap/jquery-jvectormap-1.2.2.css')); ?>" rel="stylesheet" type="text/css" />

		<link href="<?php echo e(asset('libs/summernote/summernote-bs4.css')); ?>" rel="stylesheet" type="text/css" />

		<link href="<?php echo e(asset('css/nice-select-multiple.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/switchery/switchery.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/multiselect/multi-select.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/bootstrap-select/bootstrap-select.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/bootstrap-touchspin/jquery.bootstrap-touchspin.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/clockpicker/bootstrap-clockpicker.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/flatpickr/flatpickr.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/clockpicker/bootstrap-clockpicker.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/bootstrap-datepicker/bootstrap-datepicker.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/dropify/dropify.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" type="text/css" />
		
		<!-- ION Slider -->
		<link href="<?php echo e(asset('libs/ion-rangeslider/ion.rangeSlider.css')); ?>" rel="stylesheet" type="text/css"/>

		<link href="<?php echo e(asset('libs/custombox/custombox.min.css')); ?>" rel="stylesheet">
		<link href="<?php echo e(asset('css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
		
		<link href="<?php echo e(asset('libs/tagsinput/tagsinput.css')); ?>" rel="stylesheet" type="text/css" />
		
		<!-- App css -->
		<link href="<?php echo e(asset('css/app.min.css')); ?>" rel="stylesheet" type="text/css" />

		<!-- My Link -->
		<link href="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/css/bootstrap4-toggle.min.css" rel="stylesheet">
		<link href="<?php echo e(asset('libs/tagsinput/tagsinput.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/flatpickr/flatpickr.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/clockpicker/bootstrap-clockpicker.min.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('libs/ion-rangeslider/ion.rangeSlider.css')); ?>" rel="stylesheet" type="text/css"/>
		

		<style type="text/css">
			.toast-backdrop {
				position: fixed;
			    top: 0;
			    left: 0;
			    width: 100%;
			    height: 100%;
			    background:rgba(0,0,0,0.4);
			    z-index: -1;
			    visibility: hidden;
			    opacity:0;
			    transition:all .2s;
			}
			.toast-backdrop.open {
				z-index: 99999;
			    visibility:visible;
			    opacity:1;
			    backdrop-filter: blur(1px);
			    -webkit-backdrop-filter: blur(1px);
			}
			.uldcsv {
				width: 200px;
				max-width: 100%;
				height: auto;
				position: absolute;
			}
			
			.has-error .form-control-feedback,
			.has-error .help-block {
			    color: crimson;
			    display:block;
			}
			.has-success .form-control-feedback,
			.has-succcess .help-block {
			    color: #18BCA0;
			}
			.form-control-feedback {
			    position: absolute;
			    top: 1px;
			    right: 15px;
			    z-index: 2;
			    display: block;
			    width: 34px;
			    height: 34px;
			    line-height: 34px;
			    text-align: center;
			}
			
			.has-error .form-control{
				border-color: crimson;
			}
			.has-error label {
				color:crimson;
			}
			.bv-tab-error a{
				color:crimson;
			}
			.bv-tab-error > a:after {
				content:'\f111';
				font-family:'Font Awesome 5 Free';
				font-size:5px !important;
				position:relative;
				top:-8px;
				color:crimson;
			}
			
			.alert {
				position:absolute;
				width:50%;
				left:25%;
				z-index: 99999;
				top:75px;
			}
			.ms-container {
				max-width:700px !important;
			}
			.ms-selection:before {
				content:'Selected Values';
				display:block;
				width:100%;
				position:relative;
				margin-top:-20px;
				font-size:14px;
				color:#6c757d;
				font-weight:bold;
			}
			.catContainer [data-bv-result="INVALID"].help-block {
				padding-left:380px;
				font-weight:bold;
			}
			.ms-optgroup-label {
				color:#111;
				text-transform: uppercase;
				background:#eee;
				display:block;
				
			}
			.form-control-feedback.fa {
				display:none !important;
			} 
			
			.orderStatusBadge {
				position:relative;
				margin-top:-10px;
				margin-left:4px;
			}
			.bootstrap-tagsinput .badge {
				margin-right:5px !important;
			}
			.removeSpecBtn,
			.remBatchBtn,
			.removeSkuBtn {
				position:relative;
				margin-top:-12px;
				margin-right:-8px;
			}
			.removeSkuBtn {
				
				margin-top:-20px;
				margin-right:-12px;
			}
			.specRowBody > .card-body:first-child .removeSpecBtn,
			.imgTbody > tr:first-child .remRowBtn,
			.divSku:first-child .removeSkuBtn,
			.batchTable tbody tr:first-child .removeBatchBtn,
			.productCard:first-child .remProductCard {
				display:none;
			}
			.batchTable th,
			.batchTable td {
				padding:2px !important;
			}
			.batchTable th {
				padding-left:8px !important;
				padding-top:8px !important;
				padding-bottom:8px !important;
			}
			.batchTable .form-control {
				border:0px;
				box-shadow:none;
				padding:3px;
				margin:0px !important;
			}
			.batchTable .input-group .form-control:not(:last-child) {
				/*border-right:2px dotted #ccc !important;*/
			}
			.help-block[data-bv-result="INVALID"] {
				color:red !important;
			}
		</style>

		<!-- Scripts -->
		<script src="<?php echo e(asset('js/vendor.min.js')); ?>"></script>
		<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jquery.bootstrapvalidator/0.5.2/css/bootstrapValidator.min.css"/>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.bootstrapvalidator/0.5.2/js/bootstrapValidator.min.js"></script>
		<script src="<?php echo e(asset('js/html5sortable.js')); ?>"></script>
		
        <script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async=""></script>
        <script>
       var OneSignal = window.OneSignal || [];
       OneSignal.push(function () {
           OneSignal.SERVICE_WORKER_PARAM = {scope: '/assets/js'}; 
           OneSignal.SERVICE_WORKER_PATH = 'OneSignalSDKUpdaterWorker.js'
           OneSignal.SERVICE_WORKER_UPDATER_PATH = 'OneSignalSDKWorker.js'
           OneSignal.init({
               appId: "d0fe8d16-9657-421d-bfed-5a4c4b09be58",
               notifyButton: {
                   enable: false,
               },
               allowLocalhostAsSecureOrigin: true,

           });
           OneSignal.showNativePrompt();
           OneSignal.on('subscriptionChange', function (isSubscribed) {
               if (isSubscribed) {
                   OneSignal.getUserId(function (userId) {
                       console.log("User_id",userId);
                       $.post("<?php echo e(route('updateNotificationToken')); ?>", {"_token": "<?php echo e(csrf_token()); ?>", player_id: userId}, function (data, status) {});
                   });
               }
           });
       });
        </script>
    
		
	</head>
	<body style="background:#fff;">
		<!-- Begin page -->
		<div id="wrapper">
			<!-- Topbar Start -->
			<div class="navbar-custom navbar-custom-light">
				<ul class="list-unstyled topnav-menu float-right mb-0">

					<li class="dropdown notification-list">
						<a class="nav-link dropdown-toggle  waves-effect waves-light" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false"> <i class="fe-bell noti-icon"></i> <span class="badge badge-danger rounded-circle noti-icon-badge">9</span> </a>
						<div class="dropdown-menu dropdown-menu-right dropdown-lg">

							<!-- item-->
							<div class="dropdown-item noti-title">
								<h5 class="m-0"><span class="float-right"> <a href="" class="text-dark"> <small>Clear All</small> </a> </span>Notification </h5>
							</div>

							<div class="slimscroll noti-scroll">

								<!-- item-->
								<a href="javascript:void(0);" class="dropdown-item notify-item active">
								<div class="notify-icon">
									<img src="<?php echo e(asset('images/users/user-1.jpg')); ?>" class="img-fluid rounded-circle" alt="" />
								</div>
								<p class="notify-details">
									Cristina Pride
								</p>
								<p class="text-muted mb-0 user-msg">
									<small>Hi, How are you? What about our next meeting</small>
								</p> </a>

								<!-- item-->
								<a href="javascript:void(0);" class="dropdown-item notify-item">
								<div class="notify-icon bg-primary">
									<i class="mdi mdi-comment-account-outline"></i>
								</div>
								<p class="notify-details">
									Caleb Flakelar commented on Admin <small class="text-muted">1 min ago</small>
								</p> </a>

								<!-- All-->
								<a href="javascript:void(0);" class="dropdown-item text-center text-primary notify-item notify-all"> View all <i class="fi-arrow-right"></i> </a>
							</div>
						</div>
					</li>

					<li class="dropdown notification-list">
						<a class="nav-link dropdown-toggle nav-user mr-0 waves-effect waves-light" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false"> 
							<img src="<?php echo e(asset('images/users/user-3.jpg')); ?>" alt="user-image" class="rounded-circle"> 
							<span class="pro-user-name ml-1"> 
								<?php if(Auth::user()->role=='Master Admin'): ?>
									<?php echo e(Auth::user()->role); ?> 
								<?php else: ?>
									<?php echo e(Auth::user()->name); ?> (<?php echo e(Auth::user()->role); ?> )
								<?php endif; ?>
								
								<i class="mdi mdi-chevron-down"></i> 
							</span> 
						</a>
						<div class="dropdown-menu dropdown-menu-right profile-dropdown ">

							<!-- item-->
							<a href="<?php echo e(route('logout')); ?>" class="dropdown-item notify-item"> <i class="fe-log-out"></i> <span>Logout</span> </a>

						</div>
					</li>

				</ul>

				<!-- LOGO -->
				<div class="logo-box">
					<a href="<?php echo e(route('dashboard')); ?>" class="logo text-center"> <span class="logo-lg"> <img src="<?php echo e(asset('images/logo-oja.png')); ?>" alt="" height="57"> </span> <span class="logo-sm"> <img src="<?php echo e(asset('images/fav-oja.png')); ?>" alt="" height="40"> </span> </a>
				</div>

				<ul class="list-unstyled topnav-menu topnav-menu-left m-0">
					<li>
						<button class="button-menu-mobile waves-effect waves-light">
							<i class="fe-menu"></i>
						</button>
					</li>

				</ul>
			</div>
			<!-- end Topbar -->

			<!-- ========== Left Sidebar Start ========== -->
			<div class="left-side-menu">

				<div class="slimscroll-menu">

					<!--- Sidemenu -->
					<div id="sidebar-menu">

						<ul class="metismenu" id="side-menu">
						
							<li class="dashboardli">
								<a href="<?php echo e(route('dashboard')); ?>"> <i class="ti-dashboard"></i> <span> Dashboard </span> </a>
							</li>
							
							<li class="productsli categoriesli specificationsli taxesli batchesli">
								<a href="javascript: void(0);" aria-expanded="false"> <i class="fe-box"></i> <span>Catalog </span> <span class="menu-arrow"></span> </a>
								<ul class="nav-second-level collapse" aria-expanded="false">
									<li class="productsli">
										<a href="<?php echo e(route('products.index')); ?>">Products</a>
									</li>
									<li class="appdashboardli">
										<a href="<?php echo e(route('brandsList')); ?>"><span>Brands</span> </a>
									</li>
									<li class="categoriesli">
										<a href="<?php echo e(route('categories.index')); ?>">Categories</a>
									</li>
									<li class="specificationsli">
										<a href="<?php echo e(route('specifications.index')); ?>">Specifications</a>
									</li>
									<li class="taxesli">
										<a href="<?php echo e(route('taxes.index')); ?>">Tax</a>
									</li>
									<!-- <li class="batchesli">
										<a href="<?php echo e(route('batches.index')); ?>">Stock Management Old</a>
									</li> -->
									<li class="batchesli">
										<a href="<?php echo e(route('stock.index')); ?>">Stock Management</a>
									</li>
								</ul>
							</li>
							<li class="ordersli">
								<a href="<?php echo e(route('orders.index')); ?>"> <i class="ti-shopping-cart-full"></i> <span> Order Management </span> </a>
							</li>
							
							<li class="offersli">
								<a href="<?php echo e(route('offers.index')); ?>"> <i class="ti-gift"></i> <span> Deals / Offers</span> </a>
							</li>
<!-- 							<li class="merchantsli"> -->
<!-- 								<a href="<?php echo e(route('merchants.index')); ?>"> <i class="ti-user"></i> <span>Merchants </span> </a> -->
<!-- 							</li> -->
<!-- 							<li class="invoicesli"> -->
<!-- 								<a href="<?php echo e(route('invoices.index')); ?>"> <i class="mdi mdi-currency-gbp"></i> <span>Merchant Invoices </span> </a> -->
<!-- 							</li> -->
							<li class="appsettingsli">
								<a href="javascript: void(0);" aria-expanded="false"> <i class="fa fa-cog"></i> <span>App Settings</span> <span class="menu-arrow"></span> </a>
								<ul class="nav-second-level collapse" aria-expanded="false">
									<li class="appdashboardli">
										<a href="<?php echo e(route('appDashboardSettings')); ?>"><span>Home Categories</span> </a>
									</li>
									<li class="appdashboardli">
										<a href="<?php echo e(route('appDashboardSections')); ?>"><span>Home Sections</span> </a>
									</li>
									<li class="supportli">
										<a href="<?php echo e(route('supportCentre')); ?>"> Support Centre</a>
									</li>
									<li class="settingsli">
										<a href="<?php echo e(route('settings')); ?>"> Other General Info</a>
									</li>
								</ul>
							</li>
							<li class="mastersli">
								<a href="javascript: void(0);" aria-expanded="false"> <i class="fa fa-cog"></i> <span>Masters</span> <span class="menu-arrow"></span> </a>
								<ul class="nav-second-level collapse" aria-expanded="false">
									<li class="appdashboardli">
										<a href="<?php echo e(route('deliveryAddressesList')); ?>"><span>Delivery Addresses</span> </a>
									</li>
									<li class="appdashboardli">
										<a href="<?php echo e(route('culturesList')); ?>"><span>Cultures</span> </a>
									</li>
									<li class="appdashboardli">
										<a href="<?php echo e(route('timeSlotsList')); ?>"><span>Time Slots</span> </a>
									</li>
									<li class="appdashboardli">
										<a href="<?php echo e(route('todayTimeSlotsList')); ?>"><span>Today Time Slots</span> </a>
									</li>
								</ul>
							</li>
							<li class="appusersli">
								<a href="<?php echo e(route('appUsersList')); ?>"> <i class="fa fa-portrait"></i> <span> App Users </span> </a>
							</li>
							<li class="adminsellerli">
								<a href="<?php echo e(route('sellersList')); ?>"><i class="fa faw fa-user-friends"></i>Seller</a>
							</li>
							<li class="adminsellerli">
								<a href="<?php echo e(route('webSettings')); ?>"><i class="fa fa-cog"></i>Settings</a>
							</li>
							<li class="adminsellerli">
								<a href="<?php echo e(route('userFormIndex')); ?>"><i class="fa fa-envelope"></i>Emails</a>
							</li>
							<?php if(0): ?>
							<li class="adminusersli addadminuserli">
								<a href="javascript: void(0);" aria-expanded="false"> <i class="fa fa-users"></i> <span>Admin Users</span> <span class="menu-arrow"></span> </a>
								<ul class="nav-second-level collapse" aria-expanded="false">
									<li class="adminusersli">
										<a href="<?php echo e(route('adminUsersList')); ?>"><i class="fa faw fa-user-friends"></i> List Users</a>
									</li>
									<li class="addadminuserli">
										<a href="<?php echo e(route('addAdminUser')); ?>"><i class="fa faw fa-user-plus"></i> Create New User</a>
									</li>
									<?php if(Auth::user()->role=='Master Admin'): ?>
<!-- 										<li class="rolepermissionsli"> -->
<!-- 											<a href="<?php echo e(route('rolePermissions')); ?>"> <i class="fa faw fa-users-cog"></i> <span> Update Permissions </span> </a> -->
<!-- 										</li> -->
									<?php endif; ?>

								</ul>
							</li>
							<?php endif; ?>
							
						</ul>

					</div>
					<!-- End Sidebar -->

					<div class="clearfix"></div>

				</div>
				<!-- Sidebar -left -->

			</div>
			<!-- Left Sidebar End -->
			
			<?php echo $__env->yieldContent('content'); ?>
			<!-- Footer Start -->
			<footer class="footer">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-6">
							<?php echo date('Y'); ?> &copy; <a href="<?php echo e(route('dashboard')); ?>">Oja</a>
						</div>

					</div>
				</div>
			</footer>
			<!-- end Footer -->
		</div>
		
		<!--Javascipts-->
		<!-- Plugins js-->
		<!-- Summernote js -->
		<script src="<?php echo e(asset('libs/summernote/summernote-bs4.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/bootstrap-datepicker/bootstrap-datepicker.min.js')); ?>"></script>
		<script src="<?php echo e(asset('js/nice-select-multiple.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/switchery/switchery.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/multiselect/jquery.multi-select.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/bootstrap-select/bootstrap-select.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/select2/select2.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/bootstrap-maxlength/bootstrap-maxlength.min.js')); ?>"></script>

		<script src="<?php echo e(asset('libs/ion-rangeslider/ion.rangeSlider.min.js')); ?>"></script>
		<script src="<?php echo e(asset('js/pages/range-sliders.init.js')); ?>"></script>

		<script src="<?php echo e(asset('libs/flatpickr/flatpickr.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/jquery-knob/jquery.knob.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/jquery-sparkline/jquery.sparkline.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/flot-charts/jquery.flot.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/flot-charts/jquery.flot.time.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/flot-charts/jquery.flot.tooltip.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/flot-charts/jquery.flot.selection.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/flot-charts/jquery.flot.crosshair.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/dropzone/dropzone.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/dropify/dropify.min.js')); ?>"></script>

		<script src="<?php echo e(asset('libs/jquery-vectormap/jquery-jvectormap-1.2.2.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/jquery-vectormap/jquery-jvectormap-world-mill-en.js')); ?>"></script>

		<!-- Dashboar 1 init js-->
		<!-- <script src="<?php echo e(asset('js/pages/dashboard-2.init.js')); ?>"></script> -->

		<!-- Init js-->

		<script src="<?php echo e(asset('js/pages/form-advanced.init.js')); ?>"></script>
		<script src="<?php echo e(asset('js/pages/form-pickers.init.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/sweetalert2/sweetalert2.min.js')); ?>"></script>
		<script src="<?php echo e(asset('libs/tagsinput/tagsinput.js')); ?>"></script>

		<!-- App js-->
		<script src="<?php echo e(asset('js/app.min.js')); ?>" defer></script>
		
		<script src="<?php echo e(asset('libs/flatpickr/flatpickr.min.js')); ?>"></script>

		<!-- My Links -->
		<script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>

		

		<script type="text/javascript">
			$('#csvbttn').click(function() {
				$('#csvInput').click();
			});
			
			$(document).on('change','#csvInput',function(){
				$('#importForm').submit();
			});
			
			$(function(){
				$('#filterDropdown').on('shown.bs.dropdown', function () {
				 	$('.filterCategories').select2();
				});
												
				$('[data-toggle="tooltip"]').tooltip();
				
				
				$(".datepicker").flatpickr({
					dateFormat : "Y-m-d"
				});
				
				<?php if(!empty($menubtn)): ?>
					//$('li.<?php echo e($menubtn); ?>').addClass('active');
				<?php endif; ?>
				
			});
		</script>
		
		
	<?php echo $__env->make('flash/flash', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	</body>
</html>
<?php /**PATH C:\xampp\htdocs\oja\resources\views/layouts/app.blade.php ENDPATH**/ ?>